%%%% INPUT %%%%
clear all
close all
clc

filename = 'T23_h3=30';

%%%%%%%%%%%%%%%%%%%%%%%%%%%%% PARAMETERS 23H3 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%
T3_vett = [25:1:150];     % [N] 
% Vmax23_vett = [0.5:0.25:3 3:0.5:19];    % [m/s] 
% T3_vett = 150;    % [N] 50 
Vmax23_vett = 1000;     % [m/s]

[T_3,VMAX] = meshgrid(T3_vett,Vmax23_vett);

m2 = 15;        % [kg] 15
h3 = -30;      % [m] (va negativo)
c = 150*9.81;   % [m/s] 150*9.81
th3 = 1e-3;     % [s] tempo di hovering in 2. Occhio, non puoi mettere 0s !
g = 1.62;       % [m/s^2]


% Per ulteriori dettagli su queste tolleranze leggere il blocco
% "Selettore_Motore"
% tol = 10^-4;    % ||V+cln{(mc/Tx)-[(mc/Tx)-(d12-x)](1/c)}-cln(mc/Tx)| <=> tol  
%                 % (per capire quando invertire la Tx)
tol2 = 10^-1;   % |d12-x|/d12 <=> tol2 (per capire se sono nei pressi di 2, 
                % tol2 pu essere relativamente grande perch  
                % l'inversione del moto che viene usato come trigger per
                % passare alla modalit di hovering.
% tol3 = 10^-2;   % |V-Vmax12|/Vmax12 <=> tol3 (per non superare Vmax1)


DT = 1e-4;      % passo di integrazione
t_fin = 5000;     % [s] tempo simulazione
%%%%%%%%%%%%%%%%%%%%%%%%%%%%% PARAMETERS 23H3 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%%% Inizializzazione variabili 
mprop = zeros(size(T_3,1),size(T_3,2));
Vel_max = zeros(size(T_3,1),size(T_3,2));
Vel_fin = zeros(size(T_3,1),size(T_3,2));
Z_max = zeros(size(T_3,1),size(T_3,2));
Z_end = zeros(size(T_3,1),size(T_3,2));
tLim = zeros(size(T_3,1),size(T_3,2));
tA = zeros(size(T_3,1),size(T_3,2));
t2 = zeros(size(T_3,1),size(T_3,2));
parz = zeros(size(T_3,1),size(T_3,2));
indexVel_max = 0;
T3_min = 0;
indexT3_min = 0;


%%%%%%%%%%%%%%%%%%%%%%%%%% CHIAMATA DEL MODELLO %%%%%%%%%%%%%%%%%%%%%%%%%%%
for i = 1:size(T_3,1)
    i
    for j = 1:size(T_3,2)
        j
        T23 = T_3(i,j);
        Vmax23 = VMAX(i,j);
        
%         if Vmax23 <= 1  %%%%% RIMUOVI QUESTO if SE NON HAI PROBLEMI!%%%%%
%             tol3 = 3*10^-2;
%             DT = 1e-4;
%         end
        
        %%% Running the Simulink model
        %open('Tratto12h2.slx');             %optional
        datiSim = sim('Tratto23h3_V2.slx');
        
        %%% Extracting data 
        xSignal = datiSim.logsout.getElement('segnali');
        t       = xSignal.Values.Time;
        m       = xSignal.Values.Data(:,5);
        z       = xSignal.Values.Data(:,1);
        V       = xSignal.Values.Data(:,2);
        T       = xSignal.Values.Data(:,4);
        
        
        mprop(i,j) = m2 - m(end);
        
        [Vel_max(i,j), indexVel_max] = min(V);
        % la funzione max restituisce anche l'indice corrispondente al
        % valore massimo, se ci sono pi valori minimi restituisce l'indice
        % del primo (quindi il minor indice). Tradotto in termini pratici,
        % nel caso in cui si vada a raggiungere la Vmax23 e la spinta T=0 
        % diventi T=mg, t(indexVel_max) identificherebbe proprio 
        % quell'istante in cui la spinta passa da 0 a mg. (Nota: ci va min
        % anzich max perch la velocit  negativa !)
        
        Vel_fin(i,j) = V(end);
        
        Z_max(i,j) = min(z);
        Z_end(i,j) = z(end);
        
 
        tLim(i,j) = t(indexVel_max); % istante di tempo in cui si raggiunge 
        % la Vmax23 e quindi la spinta passa da 0 a mg, oppure, se non si 
        % fa in tempo a raggiungere Vmax23 esso identifica quando T passa 
        % da 0 a T3(ovvero identifica l'inizio della fase di caduta libera)
        
        [T3_min, indexT3_min] = max(T);
        tA(i,j) = t(indexT3_min); %istante di tempo in cui T passa da 0 o 
        % da mg a T3 e quindi identifica l'istante in cui inizia la manovra
        % di frenata
     
%         Questa roba  commentata perch non ci pu essere alcuna
%         parzializzazione durante la manovra di frenata.
%         parz(i,j) = (tLim(i,j)/tA(i,j))*100; %ci dice, in termini percentuali, per 
%         % quanto tempo si  spinto al massimo durante la fase di acc.
        
        t2(i,j) = t(end);
        
        
    end
end

%save(filename,'T3','VMAX','mprop','Vel_max','Vel_fin','X_max','X_end','tLim','tA','parz','t2');
save(filename,'T_3','VMAX','mprop','Vel_max','Vel_fin','Z_max','Z_end','tLim','tA','t2');







