% ELABORAZIONE DATI Vmax_Tmax

clear all
close all
clc

filename = 'T23_h3_m0=15.mat';

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% Tmax_Vmax_1V4.mat %%%%%%%%%%%%%%%%%%%%%%%%%

% Tmax_vett = linspace(25,250,75);     % [N] 
% Vmax1_vett = linspace(0.5,18,36);    % [m/s] 
% 
% [T0S,VMAX] = meshgrid(Tmax_vett,Vmax1_vett);
% 
% 
m0 = 15;       % [kg] 15
% h1 = 100;      % [m] 15
c = 150*9.81;  % [m/s] 150*9.81
% th1 = 0.5*1e-3;    % [s] tempo di hovering in 1. Occhio, non puoi mettere 0s !
g = 1.62;      % [m/s^2]
% 
% % Per ulteriori dettagli su queste tolleranze leggere il blocco
% % "Selettore_Motore"
% tol = 10^-3;    % |h1-z-V^2/(2g)|/|h1-z| <=> tol (per capire quando 
%                 % spegnere i motori)
% tol2 = 10^-1;   % |h1-z|/h1 <=> tol2 (per capire se sono nei pressi di 1, 
%                 % tol2 pu essere relativamente grande perch  
%                 % l'inversione del moto che viene usato come trigger per
%                 % passare alla modalit di hovering
% tol3 = 5*10^-3;   % |V-Vmax1|/Vmax1 <=> tol3 (per non superare Vmax1)
% 
% DT = 1e-4;   % passo di integrazione
% t_fin = 1050; % [s] tempo simulazione

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


load(filename)
% mprop1 = mprop(1,:);
% parz1 = parz(1,:);
% T0S1 = T0S(1,:);
% t1_1 = t1(1,:);
% tLim_1 = tLim(1,:);
% tS_1 = tS(1,:);
% Vel_max_1 = Vel_max(1,:);
% VMAX_1 = VMAX(1,:);
% Z_end_1 = Z_end(1,:);
% Z_max_1 = Z_max(1,:);


%%% Verifiche varie %%%
figure
surf(T_23, H3, Z_end)
xlabel('T_2_3 [N]')
ylabel('h_3 [m]')
zlabel('Z_e_n_d [m]')
grid on
title('checking everything is ok 1')
view(38, 16)
shading interp      %gets rid of black lines in the surface plot.
colormap(jet(50))   %See help colormap
colorbar            %adds a colorbar that acts as a lagend for colors.

figure
surf(T_23, H3, Z_max)
xlabel('T_2_3 [N]')
ylabel('h_3 [m]')
zlabel('Z_m_a_x [m]')
grid on
title('checking everything is ok 2')
view(38, 16)
shading interp      %gets rid of black lines in the surface plot.
colormap(jet(50))   %See help colormap
colorbar            %adds a colorbar that acts as a lagend for colors.

figure
surf(T_23, H3, (H3 - Z_end)) %  normale che ci siano differenze 
% quando le spinte sono basse e le VMAX alte, in quei casi Vel_max  minore
% di VMAX semplicemente perch lo spacecraft non ha modo di arrivare a
% quella velocit che deve gi spegnere i motori e iniziare a rallentare.
xlabel('T_2_3 [N]')
ylabel('h_3 [m]')
zlabel('h_3 - Z_e_n_d')
grid on
title('checking everything is ok 3')
view(38, 16)
shading interp      %gets rid of black lines in the surface plot.
colormap(jet(50))   %See help colormap
colorbar            %adds a colorbar that acts as a lagend for colors.

figure
surf(T_23, H3, Vel_max) %  normale che ci siano differenze 
% quando le spinte sono basse e le VMAX alte, in quei casi Vel_max  minore
% di VMAX semplicemente perch lo spacecraft non ha modo di arrivare a
% quella velocit che deve gi spegnere i motori e iniziare a rallentare.
xlabel('T_2_3 [N]')
ylabel('h_3 [m]')
zlabel('V_m_a_x [m/s]')
grid on
title('checking everything is ok 4')
view(38, 16)
shading interp      %gets rid of black lines in the surface plot.
colormap(jet(50))   %See help colormap
colorbar            %adds a colorbar that acts as a lagend for colors.


%%% Grafici per valutazioni %%%
figure
surfc(T_23, H3, mprop)
xlabel('T_2_3 [N]')
ylabel('h_3 [m]')
zlabel('m_p_r_o_p [kg]')
grid on
title('m_p_r_o_p(h_3) varying T_2_3 [N]')
view(38, 16)
shading interp      %gets rid of black lines in the surface plot.
colormap(jet(50))   %See help colormap
colorbar            %adds a colorbar that acts as a lagend for colors.


figure
%contour(H3, mprop, T_23,[T_23(1,1):1:T_23(end)],'ShowText','on','LabelSpacing',500)
contour(H3, mprop, T_23,[24 25 27 30 40 50 75 100],'ShowText','on','LabelSpacing',500)
xlabel('h_3 [m]')
ylabel('m_p_r_o_p [kg]')
grid on
title('m_p_r_o_p(h_3) varying T_2_3 [N]')
colorbar

figure
surfc(T_23, H3, parz)
xlabel('T_2_3 [N]')
ylabel('h_3 [m]')
zlabel('% full throttle')
grid on
title('% full throttle varying h_3 [m] & T_2_3 [N]')
view(38, 16)
shading interp      %gets rid of black lines in the surface plot.
colormap(jet(50))   %See help colormap
colorbar            %adds a colorbar that acts as a lagend for colors.

figure
surfc(T_23, H3, t1)
xlabel('T_2_3 [N]')
ylabel('h_3 [m]')
zlabel('t1 [s]')
grid on
title('t1 [s] varying h_3 [m] & T_2_3 [N]')
view(38, 16)
shading interp      %gets rid of black lines in the surface plot.
colormap(jet(50))   %See help colormap
colorbar            %adds a colorbar that acts as a lagend for colors.

% mprop_t1 = m0.*(1-exp(-g.*t1./c));
% 
% figure
% surfc(T_23, VMAX, mprop_t1)
% xlabel('T_2_3 [N]')
% ylabel('VMAX [m/s]')
% zlabel('m_p_r_o_p_ _t_1 [kg]')
% grid on
% title('m_p_r_o_p_ _t_1 [kg] varying VMAX [m/s] & T_2_3 [N]')
% view(38, 16)
% shading interp      %gets rid of black lines in the surface plot.
% colormap(jet(50))   %See help colormap
% colorbar            %adds a colorbar that acts as a lagend for colors.

figure
surfc(T_23, H3, tS)
xlabel('T_2_3 [N]')
ylabel('h_3 [m]')
zlabel('t_S [s]')
grid on
title('t_S [s] varying h_3 [m] & T_2_3 [N]')
view(38, 16)
shading interp      %gets rid of black lines in the surface plot.
colormap(jet(50))   %See help colormap
colorbar            %adds a colorbar that acts as a lagend for colors.






