% ELABORAZIONE DATI Vmax_Tmax

clear all
close all
clc
filename = 'T0B_TB_Vmax=1_h1=100.mat';
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% Tmax_Vmax_1V4.mat %%%%%%%%%%%%%%%%%%%%%%%%%

% Tmax_vett = linspace(25,250,75);     % [N] 
% Vmax1_vett = linspace(0.5,18,36);    % [m/s] 
% 
% [T0S,VMAX] = meshgrid(Tmax_vett,Vmax1_vett);
% 
% 
% Vmax1 = vedi workspace (viene caricato dal file mat);     %[m/s]
m0 = 15;       % [kg] 15
% h1 = 100;      % [m] 15
c = 150*9.81;  % [m/s] 150*9.81
% th1 = 0.5*1e-3;    % [s] tempo di hovering in 1. Occhio, non puoi mettere 0s !
g = 1.62;      % [m/s^2]

% tol = 10^-4;  
% tol2 = 10^-1;   
% tol3 = 5*10^-2; 
% 
% DT = 1e-3;   % passo di integrazione
% t_fin = 500; % [s] tempo simulazione

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


load(filename)
Vmax1
% mprop1 = mprop(1,:);
% parz1 = parz(1,:);
% T0S1 = T0S(1,:);
% t1_1 = t1(1,:);
% tLim_1 = tLim(1,:);
% tS_1 = tS(1,:);
% Vel_max_1 = Vel_max(1,:);
% VMAX_1 = VMAX(1,:);
% Z_end_1 = Z_end(1,:);
% Z_max_1 = Z_max(1,:);


%%% Verifiche varie %%%
figure
surf(T0B, T_B, Z_end)
xlabel('T_0_B [N]')
ylabel('T_B [N]')
zlabel('Z_e_n_d [m]')
grid on
title('checking everything is ok 1')
view(38, 16)
shading interp      %gets rid of black lines in the surface plot.
colormap(jet(50))   %See help colormap
colorbar            %adds a colorbar that acts as a lagend for colors.

figure
surf(T0B, T_B, Z_max)
xlabel('T_0_B [N]')
ylabel('T_B [N]')
zlabel('Z_m_a_x [m]')
grid on
title('checking everything is ok 2')
view(38, 16)
shading interp      %gets rid of black lines in the surface plot.
colormap(jet(50))   %See help colormap
colorbar            %adds a colorbar that acts as a lagend for colors.

figure
surf(T0B, T_B, (Vmax1 - Vel_max)) %  normale che ci siano differenze 
% quando le spinte sono basse e le VMAX alte, in quei casi Vel_max  minore
% di VMAX semplicemente perch lo spacecraft non ha modo di arrivare a
% quella velocit che deve gi spegnere i motori e iniziare a rallentare.
xlabel('T_0_B [N]')
ylabel('T_B [N]')
zlabel('Vmax1-Vel_m_a_x [m/s]')
grid on
title('checking everything is ok 3')
view(38, 16)
shading interp      %gets rid of black lines in the surface plot.
colormap(jet(50))   %See help colormap
colorbar            %adds a colorbar that acts as a lagend for colors.



%%% Grafici per valutazioni %%%
figure
surfc(T0B, T_B, mprop)
xlabel('T_0_B [N]')
ylabel('T_B [N]')
zlabel('m_p_r_o_p [kg]')
grid on
title('m_p_r_o_p(T_B) varying T_0_B [N]')
view(38, 16)
shading interp      %gets rid of black lines in the surface plot.
colormap(jet(50))   %See help colormap
colorbar            %adds a colorbar that acts as a lagend for colors.

figure
contour(T0B, mprop, T_B,[T_B(1,1):45:T_B(end)],'ShowText','on','LabelSpacing',1500)
xlabel('T_0_B [N]')
ylabel('m_p_r_o_p [kg]')
grid on
title('m_p_r_o_p(T_B) varying T_0_B [N]')
colorbar

figure
surfc(T0B, T_B, parz)
xlabel('T_0_B [N]')
ylabel('T_B [N]')
zlabel('% full throttle')
grid on
title('% full throttle varying T_B [N] & T_0_B [N]')
view(38, 16)
shading interp      %gets rid of black lines in the surface plot.
colormap(jet(50))   %See help colormap
colorbar            %adds a colorbar that acts as a lagend for colors.

figure
surfc(T0B, T_B, t1)
xlabel('T_0_B [N]')
ylabel('T_B [N]')
zlabel('t1 [s]')
grid on
title('t1 [s] varying T_B [N] & T_0_B [N]')
view(38, 16)
shading interp      %gets rid of black lines in the surface plot.
colormap(jet(50))   %See help colormap
colorbar            %adds a colorbar that acts as a lagend for colors.


%%% ATTENZIONE Con la frenata l'analogia tra mprop_t1 e mprop non  pi
%%% verificata visto che le perdite per disallineamento non sono nulle !
%%% (per ulteriori dettagli vedi file Word.docx).
mprop_t1 = m0.*(1-exp(-g.*t1./c));

figure
surfc(T0B, T_B, mprop_t1)
xlabel('T_0_B [N]')
ylabel('T_B [N]')
zlabel('m_p_r_o_p_ _t_1 [kg]')
grid on
title('m_p_r_o_p_ _t_1 [kg] varying T_B [N] & T_0_B [N]')
view(38, 16)
shading interp      %gets rid of black lines in the surface plot.
colormap(jet(50))   %See help colormap
colorbar            %adds a colorbar that acts as a lagend for colors.

figure
surfc(T0B, T_B, tS)
xlabel('T_0_B [N]')
ylabel('T_B [N]')
zlabel('t_S [s]')
grid on
title('t_S [s] varying T_B [N] & T_0_B [N]')
view(38, 16)
shading interp      %gets rid of black lines in the surface plot.
colormap(jet(50))   %See help colormap
colorbar            %adds a colorbar that acts as a lagend for colors.






