%%% Tratto 12 valutazioni
%%
clear all 
close all
clc

d12=linspace(1,500,2000);    %[m]
g=1.62;                      %[m/s^2]
Tx=linspace(10,500,2000);    %[N]
m=15;                        %[kg]
Isp=150;                     %[s]

c=Isp*9.81;

[D12, Tx_m] = meshgrid(d12,(Tx./m));

DVprop = @(D12,Tx_m) 2*(D12).^0.5.*((g./(Tx_m).^0.5)+(Tx_m).^0.5);

m_prop = m.*(1-exp(-DVprop(D12,Tx_m)./c));

figure
contour(Tx_m, m_prop, D12,[0:25:d12(end)],'ShowText','on','LabelSpacing',300)
xlabel('T_x/m [N/kg]')
ylabel('m_p_r_o_p [kg]')
grid on
title('m_p_r_o_p = f(T_x/m) at different d12 [m]')
colorbar




