clear all
close all
clc

filename = 'Tx_max_Vmax12_d12=1m0=5.mat';
load(filename)

figure
surf(TX, VMAX, mprop,'FaceAlpha',0.9)
hold on 
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'k^','MarkerSize',20,'MarkerFaceColor','k')
xlabel('Tx_m_a_x [N]')
ylabel('VMAX [m/s]')
zlabel('m_p_r_o_p [kg]')
grid on
title('m_p_r_o_p(V_m_a_x) varying Tx_m_a_x [N]  ||  d12=1m  \Delta:m_0=5kg, Star:10kg, Hexa:15kg')
view(38, 16)
shading interp      %gets rid of black lines in the surface plot.
colormap(jet(50))   %See help colormap
colorbar            %adds a colorbar that acts as a lagend for colors.

filename = 'Tx_max_Vmax12_d12=1m0=10.mat';
load(filename)
surf(TX, VMAX, mprop,'FaceAlpha',0.9)
shading interp  
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'kp','MarkerSize',20,'MarkerFaceColor','k')

filename = 'Tx_max_Vmax12_d12=1.mat';
load(filename)
surf(TX, VMAX, mprop,'FaceAlpha',0.9) 
shading interp  
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'kh','MarkerSize',20,'MarkerFaceColor','k')

%%%

filename = 'Tx_max_Vmax12_d12=5m0=5.mat';
load(filename)

figure
surf(TX, VMAX, mprop,'FaceAlpha',0.9)
hold on 
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'k^','MarkerSize',20,'MarkerFaceColor','k')
xlabel('Tx_m_a_x [N]')
ylabel('VMAX [m/s]')
zlabel('m_p_r_o_p [kg]')
grid on
title('m_p_r_o_p(V_m_a_x) varying Tx_m_a_x [N]  ||  d12=5m  \Delta:m_0=5kg, Star:10kg, Hexa:15kg')
view(38, 16)
shading interp      %gets rid of black lines in the surface plot.
colormap(jet(50))   %See help colormap
colorbar            %adds a colorbar that acts as a lagend for colors.


filename = 'Tx_max_Vmax12_d12=5m0=10.mat';
load(filename)
surf(TX, VMAX, mprop,'FaceAlpha',0.9)
shading interp  
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'kp','MarkerSize',20,'MarkerFaceColor','k')

filename = 'Tx_max_Vmax12_d12=5.mat';
load(filename)
surf(TX, VMAX, mprop,'FaceAlpha',0.9) 
shading interp  
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'kh','MarkerSize',20,'MarkerFaceColor','k')

%%%

filename = 'Tx_max_Vmax12_d12=10m0=5.mat';
load(filename)

figure
surf(TX, VMAX, mprop,'FaceAlpha',0.9)
hold on 
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'k^','MarkerSize',20,'MarkerFaceColor','k')
xlabel('Tx_m_a_x [N]')
ylabel('VMAX [m/s]')
zlabel('m_p_r_o_p [kg]')
grid on
title('m_p_r_o_p(V_m_a_x) varying Tx_m_a_x [N]  ||  d12=10m  \Delta:m_0=5kg, Star:10kg, Hexa:15kg')
view(38, 16)
shading interp      %gets rid of black lines in the surface plot.
colormap(jet(50))   %See help colormap
colorbar            %adds a colorbar that acts as a lagend for colors.


filename = 'Tx_max_Vmax12_d12=10m0=10.mat';
load(filename)
surf(TX, VMAX, mprop,'FaceAlpha',0.9)
shading interp  
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'kp','MarkerSize',20,'MarkerFaceColor','k')

filename = 'Tx_max_Vmax12_d12=10.mat';
load(filename)
surf(TX, VMAX, mprop,'FaceAlpha',0.9) 
shading interp  
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'kh','MarkerSize',20,'MarkerFaceColor','k')

%%%

filename = 'Tx_max_Vmax12_d12=25m0=5.mat';
load(filename)

figure
surf(TX, VMAX, mprop,'FaceAlpha',0.9)
hold on 
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'k^','MarkerSize',20,'MarkerFaceColor','k')
xlabel('Tx_m_a_x [N]')
ylabel('VMAX [m/s]')
zlabel('m_p_r_o_p [kg]')
grid on
title('m_p_r_o_p(V_m_a_x) varying Tx_m_a_x [N]  ||  d12=25m  \Delta:m_0=5kg, Star:10kg, Hexa:15kg')
view(38, 16)
shading interp      %gets rid of black lines in the surface plot.
colormap(jet(50))   %See help colormap
colorbar            %adds a colorbar that acts as a lagend for colors.


filename = 'Tx_max_Vmax12_d12=25m0=10.mat';
load(filename)
surf(TX, VMAX, mprop,'FaceAlpha',0.9)
shading interp  
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'kp','MarkerSize',20,'MarkerFaceColor','k')

filename = 'Tx_max_Vmax12_d12=25.mat';
load(filename)
surf(TX, VMAX, mprop,'FaceAlpha',0.9) 
shading interp  
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'kh','MarkerSize',20,'MarkerFaceColor','k')

%%%

filename = 'Tx_max_Vmax12_d12=50m0=5.mat';
load(filename)

figure
surf(TX, VMAX, mprop,'FaceAlpha',0.9)
hold on 
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'k^','MarkerSize',20,'MarkerFaceColor','k')
xlabel('Tx_m_a_x [N]')
ylabel('VMAX [m/s]')
zlabel('m_p_r_o_p [kg]')
grid on
title('m_p_r_o_p(V_m_a_x) varying Tx_m_a_x [N]  ||  d12=50m  \Delta:m_0=5kg, Star:10kg, Hexa:15kg')
view(38, 16)
shading interp      %gets rid of black lines in the surface plot.
colormap(jet(50))   %See help colormap
colorbar            %adds a colorbar that acts as a lagend for colors.


filename = 'Tx_max_Vmax12_d12=50m0=10.mat';
load(filename)
surf(TX, VMAX, mprop,'FaceAlpha',0.9)
shading interp  
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'kp','MarkerSize',20,'MarkerFaceColor','k')

filename = 'Tx_max_Vmax12_d12=50.mat';
load(filename)
surf(TX, VMAX, mprop,'FaceAlpha',0.9) 
shading interp  
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'kh','MarkerSize',20,'MarkerFaceColor','k')

%%%

filename = 'Tx_max_Vmax12_d12=75m0=5.mat';
load(filename)

figure
surf(TX, VMAX, mprop,'FaceAlpha',0.9)
hold on 
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'k^','MarkerSize',20,'MarkerFaceColor','k')
xlabel('Tx_m_a_x [N]')
ylabel('VMAX [m/s]')
zlabel('m_p_r_o_p [kg]')
grid on
title('m_p_r_o_p(V_m_a_x) varying Tx_m_a_x [N]  ||  d12=75m  \Delta:m_0=5kg, Star:10kg, Hexa:15kg')
view(38, 16)
shading interp      %gets rid of black lines in the surface plot.
colormap(jet(50))   %See help colormap
colorbar            %adds a colorbar that acts as a lagend for colors.


filename = 'Tx_max_Vmax12_d12=75m0=10.mat';
load(filename)
surf(TX, VMAX, mprop,'FaceAlpha',0.9)
shading interp  
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'kp','MarkerSize',20,'MarkerFaceColor','k')

filename = 'Tx_max_Vmax12_d12=75.mat';
load(filename)
surf(TX, VMAX, mprop,'FaceAlpha',0.9) 
shading interp  
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'kh','MarkerSize',20,'MarkerFaceColor','k')

%%%

filename = 'Tx_max_Vmax12_d12=100m0=5.mat';
load(filename)

figure
surf(TX, VMAX, mprop,'FaceAlpha',0.9)
hold on 
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'k^','MarkerSize',20,'MarkerFaceColor','k')
xlabel('Tx_m_a_x [N]')
ylabel('VMAX [m/s]')
zlabel('m_p_r_o_p [kg]')
grid on
title('m_p_r_o_p(V_m_a_x) varying Tx_m_a_x [N]  ||  d12=100m  \Delta:m_0=5kg, Star:10kg, Hexa:15kg')
view(38, 16)
shading interp      %gets rid of black lines in the surface plot.
colormap(jet(50))   %See help colormap
colorbar            %adds a colorbar that acts as a lagend for colors.


filename = 'Tx_max_Vmax12_d12=100m0=10.mat';
load(filename)
surf(TX, VMAX, mprop,'FaceAlpha',0.9)
shading interp  
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'kp','MarkerSize',20,'MarkerFaceColor','k')

filename = 'Tx_max_Vmax12_d12=100.mat';
load(filename)
surf(TX, VMAX, mprop,'FaceAlpha',0.9) 
shading interp  
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'kh','MarkerSize',20,'MarkerFaceColor','k')

%%%

filename = 'Tx_max_Vmax12_d12=125m0=5.mat';
load(filename)

figure
surf(TX, VMAX, mprop,'FaceAlpha',0.9)
hold on 
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'k^','MarkerSize',20,'MarkerFaceColor','k')
xlabel('Tx_m_a_x [N]')
ylabel('VMAX [m/s]')
zlabel('m_p_r_o_p [kg]')
grid on
title('m_p_r_o_p(V_m_a_x) varying Tx_m_a_x [N]  ||  d12=125m  \Delta:m_0=5kg, Star:10kg, Hexa:15kg')
view(38, 16)
shading interp      %gets rid of black lines in the surface plot.
colormap(jet(50))   %See help colormap
colorbar            %adds a colorbar that acts as a lagend for colors.


filename = 'Tx_max_Vmax12_d12=125m0=10.mat';
load(filename)
surf(TX, VMAX, mprop,'FaceAlpha',0.9)
shading interp  
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'kp','MarkerSize',20,'MarkerFaceColor','k')

filename = 'Tx_max_Vmax12_d12=125.mat';
load(filename)
surf(TX, VMAX, mprop,'FaceAlpha',0.9) 
shading interp  
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'kh','MarkerSize',20,'MarkerFaceColor','k')

%%%

filename = 'Tx_max_Vmax12_d12=150m0=5.mat';
load(filename)

figure
surf(TX, VMAX, mprop,'FaceAlpha',0.9)
hold on 
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'k^','MarkerSize',20,'MarkerFaceColor','k')
xlabel('Tx_m_a_x [N]')
ylabel('VMAX [m/s]')
zlabel('m_p_r_o_p [kg]')
grid on
title('m_p_r_o_p(V_m_a_x) varying Tx_m_a_x [N]  ||  d12=150m  \Delta:m_0=5kg, Star:10kg, Hexa:15kg')
view(38, 16)
shading interp      %gets rid of black lines in the surface plot.
colormap(jet(50))   %See help colormap
colorbar            %adds a colorbar that acts as a lagend for colors.


filename = 'Tx_max_Vmax12_d12=150m0=10.mat';
load(filename)
surf(TX, VMAX, mprop,'FaceAlpha',0.9)
shading interp  
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'kp','MarkerSize',20,'MarkerFaceColor','k')

filename = 'Tx_max_Vmax12_d12=150.mat';
load(filename)
surf(TX, VMAX, mprop,'FaceAlpha',0.9) 
shading interp  
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'kh','MarkerSize',20,'MarkerFaceColor','k')

%%%

filename = 'Tx_max_Vmax12_d12=200m0=5.mat';
load(filename)

figure
surf(TX, VMAX, mprop,'FaceAlpha',0.9)
hold on 
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'k^','MarkerSize',20,'MarkerFaceColor','k')
xlabel('Tx_m_a_x [N]')
ylabel('VMAX [m/s]')
zlabel('m_p_r_o_p [kg]')
grid on
title('m_p_r_o_p(V_m_a_x) varying Tx_m_a_x [N]  ||  d12=200m  \Delta:m_0=5kg, Star:10kg, Hexa:15kg')
view(38, 16)
shading interp      %gets rid of black lines in the surface plot.
colormap(jet(50))   %See help colormap
colorbar            %adds a colorbar that acts as a lagend for colors.


filename = 'Tx_max_Vmax12_d12=200m0=10.mat';
load(filename)
surf(TX, VMAX, mprop,'FaceAlpha',0.9)
shading interp  
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'kp','MarkerSize',20,'MarkerFaceColor','k')

filename = 'Tx_max_Vmax12_d12=200.mat';
load(filename)
surf(TX, VMAX, mprop,'FaceAlpha',0.9) 
shading interp  
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'kh','MarkerSize',20,'MarkerFaceColor','k')

%%%

filename = 'Tx_max_Vmax12_d12=300m0=5.mat';
load(filename)

figure
surf(TX, VMAX, mprop,'FaceAlpha',0.9)
hold on 
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'k^','MarkerSize',20,'MarkerFaceColor','k')
xlabel('Tx_m_a_x [N]')
ylabel('VMAX [m/s]')
zlabel('m_p_r_o_p [kg]')
grid on
title('m_p_r_o_p(V_m_a_x) varying Tx_m_a_x [N]  ||  d12=300m  \Delta:m_0=5kg, Star:10kg, Hexa:15kg')
view(38, 16)
shading interp      %gets rid of black lines in the surface plot.
colormap(jet(50))   %See help colormap
colorbar            %adds a colorbar that acts as a lagend for colors.


filename = 'Tx_max_Vmax12_d12=300m0=10.mat';
load(filename)
surf(TX, VMAX, mprop,'FaceAlpha',0.9)
shading interp  
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'kp','MarkerSize',20,'MarkerFaceColor','k')

filename = 'Tx_max_Vmax12_d12=300.mat';
load(filename)
surf(TX, VMAX, mprop,'FaceAlpha',0.9) 
shading interp  
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'kh','MarkerSize',20,'MarkerFaceColor','k')




