clear all
close all
clc

%%%
figure
subplot(1,3,1)
filename = 'Tx_max_Vmax12_d12=1.mat';
load(filename)
surf(TX, VMAX, mprop,'FaceAlpha',0.6)
hold on 
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'k^','MarkerSize',10,'MarkerFaceColor','k')
[~, col_Mprop_min] = min(min(mprop,[],'linear'));
[~, row_Mprop_min] = min(mprop(:,col_Mprop_min));
plot3(TX(row_Mprop_min,col_Mprop_min), VMAX(row_Mprop_min,col_Mprop_min), mprop(row_Mprop_min,col_Mprop_min),'go','MarkerSize',8,'MarkerFaceColor','g')
xlabel('Tx_m_a_x [N]')
ylabel('VMAX [m/s]')
zlabel('m_p_r_o_p [kg]')
grid on
title('m_p_r_o_p(V_m_a_x) varying Tx_m_a_x [N]  ||  d12=1m  \Delta: Two m., Star: One m.')
view(38, 16)
shading interp      %gets rid of black lines in the surface plot.
colormap(jet(50))   %See help colormap
colorbar            %adds a colorbar that acts as a lagend for colors.

filename = 'Tx_max_Vmax12_d12=1_m0=15_Motore_unico.mat';
load(filename)
surf(TX, VMAX, mprop,'FaceAlpha',0.85)
shading interp  
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'kp','MarkerSize',10,'MarkerFaceColor','k')
[~, col_Mprop_min] = min(min(mprop,[],'linear'));
[~, row_Mprop_min] = min(mprop(:,col_Mprop_min));
plot3(TX(row_Mprop_min,col_Mprop_min), VMAX(row_Mprop_min,col_Mprop_min), mprop(row_Mprop_min,col_Mprop_min),'mo','MarkerSize',8,'MarkerFaceColor','m')

subplot(1,3,2)
filename = 'Tx_max_Vmax12_d12=1.mat';
load(filename)
surf(TX, VMAX, mprop)
hold on
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'k^','MarkerSize',10,'MarkerFaceColor','k')
[~, col_Mprop_min] = min(min(mprop,[],'linear'));
[~, row_Mprop_min] = min(mprop(:,col_Mprop_min));
plot3(TX(row_Mprop_min,col_Mprop_min), VMAX(row_Mprop_min,col_Mprop_min), mprop(row_Mprop_min,col_Mprop_min),'go','MarkerSize',8,'MarkerFaceColor','g')
xlabel('Tx_m_a_x [N]')
ylabel('VMAX [m/s]')
zlabel('m_p_r_o_p [kg]')
grid on
title('m_p_r_o_p(V_m_a_x) varying Tx_m_a_x [N]  ||  d12=1m  \Delta: Two m., Star: One m.')
view(38, 16)
shading interp      %gets rid of black lines in the surface plot.
colormap(jet(50))   %See help colormap
colorbar            %adds a colorbar that acts as a lagend for colors.

subplot(1,3,3)
filename = 'Tx_max_Vmax12_d12=1_m0=15_Motore_unico.mat';
load(filename)
surf(TX, VMAX, mprop)
hold on
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'kp','MarkerSize',10,'MarkerFaceColor','k')
[~, col_Mprop_min] = min(min(mprop,[],'linear'));
[~, row_Mprop_min] = min(mprop(:,col_Mprop_min));
plot3(TX(row_Mprop_min,col_Mprop_min), VMAX(row_Mprop_min,col_Mprop_min), mprop(row_Mprop_min,col_Mprop_min),'mo','MarkerSize',8,'MarkerFaceColor','m')
xlabel('Tx_m_a_x [N]')
ylabel('VMAX [m/s]')
zlabel('m_p_r_o_p [kg]')
grid on
title('m_p_r_o_p(V_m_a_x) varying Tx_m_a_x [N]  ||  d12=1m  \Delta: Two m., Star: One m.')
view(38, 16)
shading interp      %gets rid of black lines in the surface plot.
colormap(jet(50))   %See help colormap
colorbar            %adds a colorbar that acts as a lagend for colors.

%%%
figure
subplot(1,3,1)
filename = 'Tx_max_Vmax12_d12=5.mat';
load(filename)
surf(TX, VMAX, mprop,'FaceAlpha',0.6)
hold on 
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'k^','MarkerSize',10,'MarkerFaceColor','k')
[~, col_Mprop_min] = min(min(mprop,[],'linear'));
[~, row_Mprop_min] = min(mprop(:,col_Mprop_min));
plot3(TX(row_Mprop_min,col_Mprop_min), VMAX(row_Mprop_min,col_Mprop_min), mprop(row_Mprop_min,col_Mprop_min),'go','MarkerSize',8,'MarkerFaceColor','g')
xlabel('Tx_m_a_x [N]')
ylabel('VMAX [m/s]')
zlabel('m_p_r_o_p [kg]')
grid on
title('m_p_r_o_p(V_m_a_x) varying Tx_m_a_x [N]  ||  d12=5m  \Delta: Two m., Star: One m.')
view(38, 16)
shading interp      %gets rid of black lines in the surface plot.
colormap(jet(50))   %See help colormap
colorbar            %adds a colorbar that acts as a lagend for colors.

filename = 'Tx_max_Vmax12_d12=5_m0=15_Motore_unico.mat';
load(filename)
surf(TX, VMAX, mprop,'FaceAlpha',0.85)
shading interp  
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'kp','MarkerSize',10,'MarkerFaceColor','k')
[~, col_Mprop_min] = min(min(mprop,[],'linear'));
[~, row_Mprop_min] = min(mprop(:,col_Mprop_min));
plot3(TX(row_Mprop_min,col_Mprop_min), VMAX(row_Mprop_min,col_Mprop_min), mprop(row_Mprop_min,col_Mprop_min),'mo','MarkerSize',8,'MarkerFaceColor','m')

subplot(1,3,2)
filename = 'Tx_max_Vmax12_d12=5.mat';
load(filename)
surf(TX, VMAX, mprop)
hold on
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'k^','MarkerSize',10,'MarkerFaceColor','k')
[~, col_Mprop_min] = min(min(mprop,[],'linear'));
[~, row_Mprop_min] = min(mprop(:,col_Mprop_min));
plot3(TX(row_Mprop_min,col_Mprop_min), VMAX(row_Mprop_min,col_Mprop_min), mprop(row_Mprop_min,col_Mprop_min),'go','MarkerSize',8,'MarkerFaceColor','g')
xlabel('Tx_m_a_x [N]')
ylabel('VMAX [m/s]')
zlabel('m_p_r_o_p [kg]')
grid on
title('m_p_r_o_p(V_m_a_x) varying Tx_m_a_x [N]  ||  d12=5m  \Delta: Two m., Star: One m.')
view(38, 16)
shading interp      %gets rid of black lines in the surface plot.
colormap(jet(50))   %See help colormap
colorbar            %adds a colorbar that acts as a lagend for colors.

subplot(1,3,3)
filename = 'Tx_max_Vmax12_d12=5_m0=15_Motore_unico.mat';
load(filename)
surf(TX, VMAX, mprop)
hold on
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'kp','MarkerSize',10,'MarkerFaceColor','k')
[~, col_Mprop_min] = min(min(mprop,[],'linear'));
[~, row_Mprop_min] = min(mprop(:,col_Mprop_min));
plot3(TX(row_Mprop_min,col_Mprop_min), VMAX(row_Mprop_min,col_Mprop_min), mprop(row_Mprop_min,col_Mprop_min),'mo','MarkerSize',8,'MarkerFaceColor','m')
xlabel('Tx_m_a_x [N]')
ylabel('VMAX [m/s]')
zlabel('m_p_r_o_p [kg]')
grid on
title('m_p_r_o_p(V_m_a_x) varying Tx_m_a_x [N]  ||  d12=5m  \Delta: Two m., Star: One m.')
view(38, 16)
shading interp      %gets rid of black lines in the surface plot.
colormap(jet(50))   %See help colormap
colorbar            %adds a colorbar that acts as a lagend for colors.

%%%
figure
subplot(1,3,1)
filename = 'Tx_max_Vmax12_d12=10.mat';
load(filename)
surf(TX, VMAX, mprop,'FaceAlpha',0.6)
hold on 
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'k^','MarkerSize',10,'MarkerFaceColor','k')
[~, col_Mprop_min] = min(min(mprop,[],'linear'));
[~, row_Mprop_min] = min(mprop(:,col_Mprop_min));
plot3(TX(row_Mprop_min,col_Mprop_min), VMAX(row_Mprop_min,col_Mprop_min), mprop(row_Mprop_min,col_Mprop_min),'go','MarkerSize',8,'MarkerFaceColor','g')
xlabel('Tx_m_a_x [N]')
ylabel('VMAX [m/s]')
zlabel('m_p_r_o_p [kg]')
grid on
title('m_p_r_o_p(V_m_a_x) varying Tx_m_a_x [N]  ||  d12=10m  \Delta: Two m., Star: One m.')
view(38, 16)
shading interp      %gets rid of black lines in the surface plot.
colormap(jet(50))   %See help colormap
colorbar            %adds a colorbar that acts as a lagend for colors.

filename = 'Tx_max_Vmax12_d12=10_m0=15_Motore_unico.mat';
load(filename)
surf(TX, VMAX, mprop,'FaceAlpha',0.85)
shading interp  
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'kp','MarkerSize',10,'MarkerFaceColor','k')
[~, col_Mprop_min] = min(min(mprop,[],'linear'));
[~, row_Mprop_min] = min(mprop(:,col_Mprop_min));
plot3(TX(row_Mprop_min,col_Mprop_min), VMAX(row_Mprop_min,col_Mprop_min), mprop(row_Mprop_min,col_Mprop_min),'mo','MarkerSize',8,'MarkerFaceColor','m')

subplot(1,3,2)
filename = 'Tx_max_Vmax12_d12=10.mat';
load(filename)
surf(TX, VMAX, mprop)
hold on
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'k^','MarkerSize',10,'MarkerFaceColor','k')
[~, col_Mprop_min] = min(min(mprop,[],'linear'));
[~, row_Mprop_min] = min(mprop(:,col_Mprop_min));
plot3(TX(row_Mprop_min,col_Mprop_min), VMAX(row_Mprop_min,col_Mprop_min), mprop(row_Mprop_min,col_Mprop_min),'go','MarkerSize',8,'MarkerFaceColor','g')
xlabel('Tx_m_a_x [N]')
ylabel('VMAX [m/s]')
zlabel('m_p_r_o_p [kg]')
grid on
title('m_p_r_o_p(V_m_a_x) varying Tx_m_a_x [N]  ||  d12=10m  \Delta: Two m., Star: One m.')
view(38, 16)
shading interp      %gets rid of black lines in the surface plot.
colormap(jet(50))   %See help colormap
colorbar            %adds a colorbar that acts as a lagend for colors.

subplot(1,3,3)
filename = 'Tx_max_Vmax12_d12=10_m0=15_Motore_unico.mat';
load(filename)
surf(TX, VMAX, mprop)
hold on
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'kp','MarkerSize',10,'MarkerFaceColor','k')
[~, col_Mprop_min] = min(min(mprop,[],'linear'));
[~, row_Mprop_min] = min(mprop(:,col_Mprop_min));
plot3(TX(row_Mprop_min,col_Mprop_min), VMAX(row_Mprop_min,col_Mprop_min), mprop(row_Mprop_min,col_Mprop_min),'mo','MarkerSize',8,'MarkerFaceColor','m')
xlabel('Tx_m_a_x [N]')
ylabel('VMAX [m/s]')
zlabel('m_p_r_o_p [kg]')
grid on
title('m_p_r_o_p(V_m_a_x) varying Tx_m_a_x [N]  ||  d12=10m  \Delta: Two m., Star: One m.')
view(38, 16)
shading interp      %gets rid of black lines in the surface plot.
colormap(jet(50))   %See help colormap
colorbar            %adds a colorbar that acts as a lagend for colors.

%%%
figure
subplot(1,3,1)
filename = 'Tx_max_Vmax12_d12=25.mat';
load(filename)
surf(TX, VMAX, mprop,'FaceAlpha',0.6)
hold on 
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'k^','MarkerSize',10,'MarkerFaceColor','k')
[~, col_Mprop_min] = min(min(mprop,[],'linear'));
[~, row_Mprop_min] = min(mprop(:,col_Mprop_min));
plot3(TX(row_Mprop_min,col_Mprop_min), VMAX(row_Mprop_min,col_Mprop_min), mprop(row_Mprop_min,col_Mprop_min),'go','MarkerSize',8,'MarkerFaceColor','g')
xlabel('Tx_m_a_x [N]')
ylabel('VMAX [m/s]')
zlabel('m_p_r_o_p [kg]')
grid on
title('m_p_r_o_p(V_m_a_x) varying Tx_m_a_x [N]  ||  d12=25m  \Delta: Two m., Star: One m.')
view(38, 16)
shading interp      %gets rid of black lines in the surface plot.
colormap(jet(50))   %See help colormap
colorbar            %adds a colorbar that acts as a lagend for colors.

filename = 'Tx_max_Vmax12_d12=25_m0=15_Motore_unico.mat';
load(filename)
surf(TX, VMAX, mprop,'FaceAlpha',0.85)
shading interp  
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'kp','MarkerSize',10,'MarkerFaceColor','k')
[~, col_Mprop_min] = min(min(mprop,[],'linear'));
[~, row_Mprop_min] = min(mprop(:,col_Mprop_min));
plot3(TX(row_Mprop_min,col_Mprop_min), VMAX(row_Mprop_min,col_Mprop_min), mprop(row_Mprop_min,col_Mprop_min),'mo','MarkerSize',8,'MarkerFaceColor','m')

subplot(1,3,2)
filename = 'Tx_max_Vmax12_d12=25.mat';
load(filename)
surf(TX, VMAX, mprop)
hold on
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'k^','MarkerSize',10,'MarkerFaceColor','k')
[~, col_Mprop_min] = min(min(mprop,[],'linear'));
[~, row_Mprop_min] = min(mprop(:,col_Mprop_min));
plot3(TX(row_Mprop_min,col_Mprop_min), VMAX(row_Mprop_min,col_Mprop_min), mprop(row_Mprop_min,col_Mprop_min),'go','MarkerSize',8,'MarkerFaceColor','g')
xlabel('Tx_m_a_x [N]')
ylabel('VMAX [m/s]')
zlabel('m_p_r_o_p [kg]')
grid on
title('m_p_r_o_p(V_m_a_x) varying Tx_m_a_x [N]  ||  d12=25m  \Delta: Two m., Star: One m.')
view(38, 16)
shading interp      %gets rid of black lines in the surface plot.
colormap(jet(50))   %See help colormap
colorbar            %adds a colorbar that acts as a lagend for colors.

subplot(1,3,3)
filename = 'Tx_max_Vmax12_d12=25_m0=15_Motore_unico.mat';
load(filename)
surf(TX, VMAX, mprop)
hold on
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'kp','MarkerSize',10,'MarkerFaceColor','k')
[~, col_Mprop_min] = min(min(mprop,[],'linear'));
[~, row_Mprop_min] = min(mprop(:,col_Mprop_min));
plot3(TX(row_Mprop_min,col_Mprop_min), VMAX(row_Mprop_min,col_Mprop_min), mprop(row_Mprop_min,col_Mprop_min),'mo','MarkerSize',8,'MarkerFaceColor','m')
xlabel('Tx_m_a_x [N]')
ylabel('VMAX [m/s]')
zlabel('m_p_r_o_p [kg]')
grid on
title('m_p_r_o_p(V_m_a_x) varying Tx_m_a_x [N]  ||  d12=25m  \Delta: Two m., Star: One m.')
view(38, 16)
shading interp      %gets rid of black lines in the surface plot.
colormap(jet(50))   %See help colormap
colorbar            %adds a colorbar that acts as a lagend for colors.

%%%
figure
subplot(1,3,1)
filename = 'Tx_max_Vmax12_d12=50.mat';
load(filename)
surf(TX, VMAX, mprop,'FaceAlpha',0.6)
hold on 
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'k^','MarkerSize',10,'MarkerFaceColor','k')
[~, col_Mprop_min] = min(min(mprop,[],'linear'));
[~, row_Mprop_min] = min(mprop(:,col_Mprop_min));
plot3(TX(row_Mprop_min,col_Mprop_min), VMAX(row_Mprop_min,col_Mprop_min), mprop(row_Mprop_min,col_Mprop_min),'go','MarkerSize',8,'MarkerFaceColor','g')
xlabel('Tx_m_a_x [N]')
ylabel('VMAX [m/s]')
zlabel('m_p_r_o_p [kg]')
grid on
title('m_p_r_o_p(V_m_a_x) varying Tx_m_a_x [N]  ||  d12=50m  \Delta: Two m., Star: One m.')
view(38, 16)
shading interp      %gets rid of black lines in the surface plot.
colormap(jet(50))   %See help colormap
colorbar            %adds a colorbar that acts as a lagend for colors.

filename = 'Tx_max_Vmax12_d12=50_m0=15_Motore_unico.mat';
load(filename)
surf(TX, VMAX, mprop,'FaceAlpha',0.85)
shading interp  
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'kp','MarkerSize',10,'MarkerFaceColor','k')
[~, col_Mprop_min] = min(min(mprop,[],'linear'));
[~, row_Mprop_min] = min(mprop(:,col_Mprop_min));
plot3(TX(row_Mprop_min,col_Mprop_min), VMAX(row_Mprop_min,col_Mprop_min), mprop(row_Mprop_min,col_Mprop_min),'mo','MarkerSize',8,'MarkerFaceColor','m')

subplot(1,3,2)
filename = 'Tx_max_Vmax12_d12=50.mat';
load(filename)
surf(TX, VMAX, mprop)
hold on
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'k^','MarkerSize',10,'MarkerFaceColor','k')
[~, col_Mprop_min] = min(min(mprop,[],'linear'));
[~, row_Mprop_min] = min(mprop(:,col_Mprop_min));
plot3(TX(row_Mprop_min,col_Mprop_min), VMAX(row_Mprop_min,col_Mprop_min), mprop(row_Mprop_min,col_Mprop_min),'go','MarkerSize',8,'MarkerFaceColor','g')
xlabel('Tx_m_a_x [N]')
ylabel('VMAX [m/s]')
zlabel('m_p_r_o_p [kg]')
grid on
title('m_p_r_o_p(V_m_a_x) varying Tx_m_a_x [N]  ||  d12=50m  \Delta: Two m., Star: One m.')
view(38, 16)
shading interp      %gets rid of black lines in the surface plot.
colormap(jet(50))   %See help colormap
colorbar            %adds a colorbar that acts as a lagend for colors.

subplot(1,3,3)
filename = 'Tx_max_Vmax12_d12=50_m0=15_Motore_unico.mat';
load(filename)
surf(TX, VMAX, mprop)
hold on
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'kp','MarkerSize',10,'MarkerFaceColor','k')
[~, col_Mprop_min] = min(min(mprop,[],'linear'));
[~, row_Mprop_min] = min(mprop(:,col_Mprop_min));
plot3(TX(row_Mprop_min,col_Mprop_min), VMAX(row_Mprop_min,col_Mprop_min), mprop(row_Mprop_min,col_Mprop_min),'mo','MarkerSize',8,'MarkerFaceColor','m')
xlabel('Tx_m_a_x [N]')
ylabel('VMAX [m/s]')
zlabel('m_p_r_o_p [kg]')
grid on
title('m_p_r_o_p(V_m_a_x) varying Tx_m_a_x [N]  ||  d12=50m  \Delta: Two m., Star: One m.')
view(38, 16)
shading interp      %gets rid of black lines in the surface plot.
colormap(jet(50))   %See help colormap
colorbar            %adds a colorbar that acts as a lagend for colors.

%%%
figure
subplot(1,3,1)
filename = 'Tx_max_Vmax12_d12=75.mat';
load(filename)
surf(TX, VMAX, mprop,'FaceAlpha',0.6)
hold on 
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'k^','MarkerSize',10,'MarkerFaceColor','k')
[~, col_Mprop_min] = min(min(mprop,[],'linear'));
[~, row_Mprop_min] = min(mprop(:,col_Mprop_min));
plot3(TX(row_Mprop_min,col_Mprop_min), VMAX(row_Mprop_min,col_Mprop_min), mprop(row_Mprop_min,col_Mprop_min),'go','MarkerSize',8,'MarkerFaceColor','g')
xlabel('Tx_m_a_x [N]')
ylabel('VMAX [m/s]')
zlabel('m_p_r_o_p [kg]')
grid on
title('m_p_r_o_p(V_m_a_x) varying Tx_m_a_x [N]  ||  d12=75m  \Delta: Two m., Star: One m.')
view(38, 16)
shading interp      %gets rid of black lines in the surface plot.
colormap(jet(50))   %See help colormap
colorbar            %adds a colorbar that acts as a lagend for colors.

filename = 'Tx_max_Vmax12_d12=75_m0=15_Motore_unico.mat';
load(filename)
surf(TX, VMAX, mprop,'FaceAlpha',0.85)
shading interp  
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'kp','MarkerSize',10,'MarkerFaceColor','k')
[~, col_Mprop_min] = min(min(mprop,[],'linear'));
[~, row_Mprop_min] = min(mprop(:,col_Mprop_min));
plot3(TX(row_Mprop_min,col_Mprop_min), VMAX(row_Mprop_min,col_Mprop_min), mprop(row_Mprop_min,col_Mprop_min),'mo','MarkerSize',8,'MarkerFaceColor','m')

subplot(1,3,2)
filename = 'Tx_max_Vmax12_d12=75.mat';
load(filename)
surf(TX, VMAX, mprop)
hold on
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'k^','MarkerSize',10,'MarkerFaceColor','k')
[~, col_Mprop_min] = min(min(mprop,[],'linear'));
[~, row_Mprop_min] = min(mprop(:,col_Mprop_min));
plot3(TX(row_Mprop_min,col_Mprop_min), VMAX(row_Mprop_min,col_Mprop_min), mprop(row_Mprop_min,col_Mprop_min),'go','MarkerSize',8,'MarkerFaceColor','g')
xlabel('Tx_m_a_x [N]')
ylabel('VMAX [m/s]')
zlabel('m_p_r_o_p [kg]')
grid on
title('m_p_r_o_p(V_m_a_x) varying Tx_m_a_x [N]  ||  d12=75m  \Delta: Two m., Star: One m.')
view(38, 16)
shading interp      %gets rid of black lines in the surface plot.
colormap(jet(50))   %See help colormap
colorbar            %adds a colorbar that acts as a lagend for colors.

subplot(1,3,3)
filename = 'Tx_max_Vmax12_d12=75_m0=15_Motore_unico.mat';
load(filename)
surf(TX, VMAX, mprop)
hold on
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'kp','MarkerSize',10,'MarkerFaceColor','k')
[~, col_Mprop_min] = min(min(mprop,[],'linear'));
[~, row_Mprop_min] = min(mprop(:,col_Mprop_min));
plot3(TX(row_Mprop_min,col_Mprop_min), VMAX(row_Mprop_min,col_Mprop_min), mprop(row_Mprop_min,col_Mprop_min),'mo','MarkerSize',8,'MarkerFaceColor','m')
xlabel('Tx_m_a_x [N]')
ylabel('VMAX [m/s]')
zlabel('m_p_r_o_p [kg]')
grid on
title('m_p_r_o_p(V_m_a_x) varying Tx_m_a_x [N]  ||  d12=75m  \Delta: Two m., Star: One m.')
view(38, 16)
shading interp      %gets rid of black lines in the surface plot.
colormap(jet(50))   %See help colormap
colorbar            %adds a colorbar that acts as a lagend for colors.

%%%
figure
subplot(1,3,1)
filename = 'Tx_max_Vmax12_d12=100.mat';
load(filename)
surf(TX, VMAX, mprop,'FaceAlpha',0.6)
hold on 
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'k^','MarkerSize',10,'MarkerFaceColor','k')
[~, col_Mprop_min] = min(min(mprop,[],'linear'));
[~, row_Mprop_min] = min(mprop(:,col_Mprop_min));
plot3(TX(row_Mprop_min,col_Mprop_min), VMAX(row_Mprop_min,col_Mprop_min), mprop(row_Mprop_min,col_Mprop_min),'go','MarkerSize',8,'MarkerFaceColor','g')
xlabel('Tx_m_a_x [N]')
ylabel('VMAX [m/s]')
zlabel('m_p_r_o_p [kg]')
grid on
title('m_p_r_o_p(V_m_a_x) varying Tx_m_a_x [N]  ||  d12=100m  \Delta: Two m., Star: One m.')
view(38, 16)
shading interp      %gets rid of black lines in the surface plot.
colormap(jet(50))   %See help colormap
colorbar            %adds a colorbar that acts as a lagend for colors.

filename = 'Tx_max_Vmax12_d12=100_m0=15_Motore_unico.mat';
load(filename)
surf(TX, VMAX, mprop,'FaceAlpha',0.85)
shading interp  
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'kp','MarkerSize',10,'MarkerFaceColor','k')
[~, col_Mprop_min] = min(min(mprop,[],'linear'));
[~, row_Mprop_min] = min(mprop(:,col_Mprop_min));
plot3(TX(row_Mprop_min,col_Mprop_min), VMAX(row_Mprop_min,col_Mprop_min), mprop(row_Mprop_min,col_Mprop_min),'mo','MarkerSize',8,'MarkerFaceColor','m')

subplot(1,3,2)
filename = 'Tx_max_Vmax12_d12=100.mat';
load(filename)
surf(TX, VMAX, mprop)
hold on
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'k^','MarkerSize',10,'MarkerFaceColor','k')
[~, col_Mprop_min] = min(min(mprop,[],'linear'));
[~, row_Mprop_min] = min(mprop(:,col_Mprop_min));
plot3(TX(row_Mprop_min,col_Mprop_min), VMAX(row_Mprop_min,col_Mprop_min), mprop(row_Mprop_min,col_Mprop_min),'go','MarkerSize',8,'MarkerFaceColor','g')
xlabel('Tx_m_a_x [N]')
ylabel('VMAX [m/s]')
zlabel('m_p_r_o_p [kg]')
grid on
title('m_p_r_o_p(V_m_a_x) varying Tx_m_a_x [N]  ||  d12=100m  \Delta: Two m., Star: One m.')
view(38, 16)
shading interp      %gets rid of black lines in the surface plot.
colormap(jet(50))   %See help colormap
colorbar            %adds a colorbar that acts as a lagend for colors.

subplot(1,3,3)
filename = 'Tx_max_Vmax12_d12=100_m0=15_Motore_unico.mat';
load(filename)
surf(TX, VMAX, mprop)
hold on
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'kp','MarkerSize',10,'MarkerFaceColor','k')
[~, col_Mprop_min] = min(min(mprop,[],'linear'));
[~, row_Mprop_min] = min(mprop(:,col_Mprop_min));
plot3(TX(row_Mprop_min,col_Mprop_min), VMAX(row_Mprop_min,col_Mprop_min), mprop(row_Mprop_min,col_Mprop_min),'mo','MarkerSize',8,'MarkerFaceColor','m')
xlabel('Tx_m_a_x [N]')
ylabel('VMAX [m/s]')
zlabel('m_p_r_o_p [kg]')
grid on
title('m_p_r_o_p(V_m_a_x) varying Tx_m_a_x [N]  ||  d12=100m  \Delta: Two m., Star: One m.')
view(38, 16)
shading interp      %gets rid of black lines in the surface plot.
colormap(jet(50))   %See help colormap
colorbar            %adds a colorbar that acts as a lagend for colors.

%%%
figure
subplot(1,3,1)
filename = 'Tx_max_Vmax12_d12=125.mat';
load(filename)
surf(TX, VMAX, mprop,'FaceAlpha',0.6)
hold on 
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'k^','MarkerSize',10,'MarkerFaceColor','k')
[~, col_Mprop_min] = min(min(mprop,[],'linear'));
[~, row_Mprop_min] = min(mprop(:,col_Mprop_min));
plot3(TX(row_Mprop_min,col_Mprop_min), VMAX(row_Mprop_min,col_Mprop_min), mprop(row_Mprop_min,col_Mprop_min),'go','MarkerSize',8,'MarkerFaceColor','g')
xlabel('Tx_m_a_x [N]')
ylabel('VMAX [m/s]')
zlabel('m_p_r_o_p [kg]')
grid on
title('m_p_r_o_p(V_m_a_x) varying Tx_m_a_x [N]  ||  d12=125m  \Delta: Two m., Star: One m.')
view(38, 16)
shading interp      %gets rid of black lines in the surface plot.
colormap(jet(50))   %See help colormap
colorbar            %adds a colorbar that acts as a lagend for colors.

filename = 'Tx_max_Vmax12_d12=125_m0=15_Motore_unico.mat';
load(filename)
surf(TX, VMAX, mprop,'FaceAlpha',0.85)
shading interp  
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'kp','MarkerSize',10,'MarkerFaceColor','k')
[~, col_Mprop_min] = min(min(mprop,[],'linear'));
[~, row_Mprop_min] = min(mprop(:,col_Mprop_min));
plot3(TX(row_Mprop_min,col_Mprop_min), VMAX(row_Mprop_min,col_Mprop_min), mprop(row_Mprop_min,col_Mprop_min),'mo','MarkerSize',8,'MarkerFaceColor','m')

subplot(1,3,2)
filename = 'Tx_max_Vmax12_d12=125.mat';
load(filename)
surf(TX, VMAX, mprop)
hold on
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'k^','MarkerSize',10,'MarkerFaceColor','k')
[~, col_Mprop_min] = min(min(mprop,[],'linear'));
[~, row_Mprop_min] = min(mprop(:,col_Mprop_min));
plot3(TX(row_Mprop_min,col_Mprop_min), VMAX(row_Mprop_min,col_Mprop_min), mprop(row_Mprop_min,col_Mprop_min),'go','MarkerSize',8,'MarkerFaceColor','g')
xlabel('Tx_m_a_x [N]')
ylabel('VMAX [m/s]')
zlabel('m_p_r_o_p [kg]')
grid on
title('m_p_r_o_p(V_m_a_x) varying Tx_m_a_x [N]  ||  d12=125m  \Delta: Two m., Star: One m.')
view(38, 16)
shading interp      %gets rid of black lines in the surface plot.
colormap(jet(50))   %See help colormap
colorbar            %adds a colorbar that acts as a lagend for colors.

subplot(1,3,3)
filename = 'Tx_max_Vmax12_d12=125_m0=15_Motore_unico.mat';
load(filename)
surf(TX, VMAX, mprop)
hold on
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'kp','MarkerSize',10,'MarkerFaceColor','k')
[~, col_Mprop_min] = min(min(mprop,[],'linear'));
[~, row_Mprop_min] = min(mprop(:,col_Mprop_min));
plot3(TX(row_Mprop_min,col_Mprop_min), VMAX(row_Mprop_min,col_Mprop_min), mprop(row_Mprop_min,col_Mprop_min),'mo','MarkerSize',8,'MarkerFaceColor','m')
xlabel('Tx_m_a_x [N]')
ylabel('VMAX [m/s]')
zlabel('m_p_r_o_p [kg]')
grid on
title('m_p_r_o_p(V_m_a_x) varying Tx_m_a_x [N]  ||  d12=125m  \Delta: Two m., Star: One m.')
view(38, 16)
shading interp      %gets rid of black lines in the surface plot.
colormap(jet(50))   %See help colormap
colorbar            %adds a colorbar that acts as a lagend for colors.

%%%
figure
subplot(1,3,1)
filename = 'Tx_max_Vmax12_d12=150.mat';
load(filename)
surf(TX, VMAX, mprop,'FaceAlpha',0.6)
hold on 
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'k^','MarkerSize',10,'MarkerFaceColor','k')
[~, col_Mprop_min] = min(min(mprop,[],'linear'));
[~, row_Mprop_min] = min(mprop(:,col_Mprop_min));
plot3(TX(row_Mprop_min,col_Mprop_min), VMAX(row_Mprop_min,col_Mprop_min), mprop(row_Mprop_min,col_Mprop_min),'go','MarkerSize',8,'MarkerFaceColor','g')
xlabel('Tx_m_a_x [N]')
ylabel('VMAX [m/s]')
zlabel('m_p_r_o_p [kg]')
grid on
title('m_p_r_o_p(V_m_a_x) varying Tx_m_a_x [N]  ||  d12=150m  \Delta: Two m., Star: One m.')
view(38, 16)
shading interp      %gets rid of black lines in the surface plot.
colormap(jet(50))   %See help colormap
colorbar            %adds a colorbar that acts as a lagend for colors.

filename = 'Tx_max_Vmax12_d12=150_m0=15_Motore_unico.mat';
load(filename)
surf(TX, VMAX, mprop,'FaceAlpha',0.85)
shading interp  
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'kp','MarkerSize',10,'MarkerFaceColor','k')
[~, col_Mprop_min] = min(min(mprop,[],'linear'));
[~, row_Mprop_min] = min(mprop(:,col_Mprop_min));
plot3(TX(row_Mprop_min,col_Mprop_min), VMAX(row_Mprop_min,col_Mprop_min), mprop(row_Mprop_min,col_Mprop_min),'mo','MarkerSize',8,'MarkerFaceColor','m')

subplot(1,3,2)
filename = 'Tx_max_Vmax12_d12=150.mat';
load(filename)
surf(TX, VMAX, mprop)
hold on
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'k^','MarkerSize',10,'MarkerFaceColor','k')
[~, col_Mprop_min] = min(min(mprop,[],'linear'));
[~, row_Mprop_min] = min(mprop(:,col_Mprop_min));
plot3(TX(row_Mprop_min,col_Mprop_min), VMAX(row_Mprop_min,col_Mprop_min), mprop(row_Mprop_min,col_Mprop_min),'go','MarkerSize',8,'MarkerFaceColor','g')
xlabel('Tx_m_a_x [N]')
ylabel('VMAX [m/s]')
zlabel('m_p_r_o_p [kg]')
grid on
title('m_p_r_o_p(V_m_a_x) varying Tx_m_a_x [N]  ||  d12=150m  \Delta: Two m., Star: One m.')
view(38, 16)
shading interp      %gets rid of black lines in the surface plot.
colormap(jet(50))   %See help colormap
colorbar            %adds a colorbar that acts as a lagend for colors.

subplot(1,3,3)
filename = 'Tx_max_Vmax12_d12=150_m0=15_Motore_unico.mat';
load(filename)
surf(TX, VMAX, mprop)
hold on
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'kp','MarkerSize',10,'MarkerFaceColor','k')
[~, col_Mprop_min] = min(min(mprop,[],'linear'));
[~, row_Mprop_min] = min(mprop(:,col_Mprop_min));
plot3(TX(row_Mprop_min,col_Mprop_min), VMAX(row_Mprop_min,col_Mprop_min), mprop(row_Mprop_min,col_Mprop_min),'mo','MarkerSize',8,'MarkerFaceColor','m')
xlabel('Tx_m_a_x [N]')
ylabel('VMAX [m/s]')
zlabel('m_p_r_o_p [kg]')
grid on
title('m_p_r_o_p(V_m_a_x) varying Tx_m_a_x [N]  ||  d12=150m  \Delta: Two m., Star: One m.')
view(38, 16)
shading interp      %gets rid of black lines in the surface plot.
colormap(jet(50))   %See help colormap
colorbar            %adds a colorbar that acts as a lagend for colors.


%%%
figure
subplot(1,3,1)
filename = 'Tx_max_Vmax12_d12=200.mat';
load(filename)
surf(TX, VMAX, mprop,'FaceAlpha',0.6)
hold on 
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'k^','MarkerSize',10,'MarkerFaceColor','k')
[~, col_Mprop_min] = min(min(mprop,[],'linear'));
[~, row_Mprop_min] = min(mprop(:,col_Mprop_min));
plot3(TX(row_Mprop_min,col_Mprop_min), VMAX(row_Mprop_min,col_Mprop_min), mprop(row_Mprop_min,col_Mprop_min),'go','MarkerSize',8,'MarkerFaceColor','g')
xlabel('Tx_m_a_x [N]')
ylabel('VMAX [m/s]')
zlabel('m_p_r_o_p [kg]')
grid on
title('m_p_r_o_p(V_m_a_x) varying Tx_m_a_x [N]  ||  d12=200m  \Delta: Two m., Star: One m.')
view(38, 16)
shading interp      %gets rid of black lines in the surface plot.
colormap(jet(50))   %See help colormap
colorbar            %adds a colorbar that acts as a lagend for colors.

filename = 'Tx_max_Vmax12_d12=200_m0=15_Motore_unico.mat';
load(filename)
surf(TX, VMAX, mprop,'FaceAlpha',0.85)
shading interp  
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'kp','MarkerSize',10,'MarkerFaceColor','k')
[~, col_Mprop_min] = min(min(mprop,[],'linear'));
[~, row_Mprop_min] = min(mprop(:,col_Mprop_min));
plot3(TX(row_Mprop_min,col_Mprop_min), VMAX(row_Mprop_min,col_Mprop_min), mprop(row_Mprop_min,col_Mprop_min),'mo','MarkerSize',8,'MarkerFaceColor','m')

subplot(1,3,2)
filename = 'Tx_max_Vmax12_d12=200.mat';
load(filename)
surf(TX, VMAX, mprop)
hold on
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'k^','MarkerSize',10,'MarkerFaceColor','k')
[~, col_Mprop_min] = min(min(mprop,[],'linear'));
[~, row_Mprop_min] = min(mprop(:,col_Mprop_min));
plot3(TX(row_Mprop_min,col_Mprop_min), VMAX(row_Mprop_min,col_Mprop_min), mprop(row_Mprop_min,col_Mprop_min),'go','MarkerSize',8,'MarkerFaceColor','g')
xlabel('Tx_m_a_x [N]')
ylabel('VMAX [m/s]')
zlabel('m_p_r_o_p [kg]')
grid on
title('m_p_r_o_p(V_m_a_x) varying Tx_m_a_x [N]  ||  d12=200m  \Delta: Two m., Star: One m.')
view(38, 16)
shading interp      %gets rid of black lines in the surface plot.
colormap(jet(50))   %See help colormap
colorbar            %adds a colorbar that acts as a lagend for colors.

subplot(1,3,3)
filename = 'Tx_max_Vmax12_d12=200_m0=15_Motore_unico.mat';
load(filename)
surf(TX, VMAX, mprop)
hold on
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'kp','MarkerSize',10,'MarkerFaceColor','k')
[~, col_Mprop_min] = min(min(mprop,[],'linear'));
[~, row_Mprop_min] = min(mprop(:,col_Mprop_min));
plot3(TX(row_Mprop_min,col_Mprop_min), VMAX(row_Mprop_min,col_Mprop_min), mprop(row_Mprop_min,col_Mprop_min),'mo','MarkerSize',8,'MarkerFaceColor','m')
xlabel('Tx_m_a_x [N]')
ylabel('VMAX [m/s]')
zlabel('m_p_r_o_p [kg]')
grid on
title('m_p_r_o_p(V_m_a_x) varying Tx_m_a_x [N]  ||  d12=200m  \Delta: Two m., Star: One m.')
view(38, 16)
shading interp      %gets rid of black lines in the surface plot.
colormap(jet(50))   %See help colormap
colorbar            %adds a colorbar that acts as a lagend for colors.

%%%
figure
subplot(1,3,1)
filename = 'Tx_max_Vmax12_d12=300.mat';
load(filename)
surf(TX, VMAX, mprop,'FaceAlpha',0.6)
hold on 
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'k^','MarkerSize',10,'MarkerFaceColor','k')
[~, col_Mprop_min] = min(min(mprop,[],'linear'));
[~, row_Mprop_min] = min(mprop(:,col_Mprop_min));
plot3(TX(row_Mprop_min,col_Mprop_min), VMAX(row_Mprop_min,col_Mprop_min), mprop(row_Mprop_min,col_Mprop_min),'go','MarkerSize',8,'MarkerFaceColor','g')
xlabel('Tx_m_a_x [N]')
ylabel('VMAX [m/s]')
zlabel('m_p_r_o_p [kg]')
grid on
title('m_p_r_o_p(V_m_a_x) varying Tx_m_a_x [N]  ||  d12=300m  \Delta: Two m., Star: One m.')
view(38, 16)
shading interp      %gets rid of black lines in the surface plot.
colormap(jet(50))   %See help colormap
colorbar            %adds a colorbar that acts as a lagend for colors.

filename = 'Tx_max_Vmax12_d12=300_m0=15_Motore_unico.mat';
load(filename)
surf(TX, VMAX, mprop,'FaceAlpha',0.85)
shading interp  
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'kp','MarkerSize',10,'MarkerFaceColor','k')
[~, col_Mprop_min] = min(min(mprop,[],'linear'));
[~, row_Mprop_min] = min(mprop(:,col_Mprop_min));
plot3(TX(row_Mprop_min,col_Mprop_min), VMAX(row_Mprop_min,col_Mprop_min), mprop(row_Mprop_min,col_Mprop_min),'mo','MarkerSize',8,'MarkerFaceColor','m')

subplot(1,3,2)
filename = 'Tx_max_Vmax12_d12=300.mat';
load(filename)
surf(TX, VMAX, mprop)
hold on
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'k^','MarkerSize',10,'MarkerFaceColor','k')
[~, col_Mprop_min] = min(min(mprop,[],'linear'));
[~, row_Mprop_min] = min(mprop(:,col_Mprop_min));
plot3(TX(row_Mprop_min,col_Mprop_min), VMAX(row_Mprop_min,col_Mprop_min), mprop(row_Mprop_min,col_Mprop_min),'go','MarkerSize',8,'MarkerFaceColor','g')
xlabel('Tx_m_a_x [N]')
ylabel('VMAX [m/s]')
zlabel('m_p_r_o_p [kg]')
grid on
title('m_p_r_o_p(V_m_a_x) varying Tx_m_a_x [N]  ||  d12=300m  \Delta: Two m., Star: One m.')
view(38, 16)
shading interp      %gets rid of black lines in the surface plot.
colormap(jet(50))   %See help colormap
colorbar            %adds a colorbar that acts as a lagend for colors.

subplot(1,3,3)
filename = 'Tx_max_Vmax12_d12=300_m0=15_Motore_unico.mat';
load(filename)
surf(TX, VMAX, mprop)
hold on
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'kp','MarkerSize',10,'MarkerFaceColor','k')
[~, col_Mprop_min] = min(min(mprop,[],'linear'));
[~, row_Mprop_min] = min(mprop(:,col_Mprop_min));
plot3(TX(row_Mprop_min,col_Mprop_min), VMAX(row_Mprop_min,col_Mprop_min), mprop(row_Mprop_min,col_Mprop_min),'mo','MarkerSize',8,'MarkerFaceColor','m')
xlabel('Tx_m_a_x [N]')
ylabel('VMAX [m/s]')
zlabel('m_p_r_o_p [kg]')
grid on
title('m_p_r_o_p(V_m_a_x) varying Tx_m_a_x [N]  ||  d12=300m  \Delta: Two m., Star: One m.')
view(38, 16)
shading interp      %gets rid of black lines in the surface plot.
colormap(jet(50))   %See help colormap
colorbar            %adds a colorbar that acts as a lagend for colors.

%%%
figure
subplot(1,3,1)
filename = 'Tx_max_Vmax12_d12=1000V2.mat';
load(filename)
surf(TX, VMAX, mprop,'FaceAlpha',0.6)
hold on 
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'k^','MarkerSize',10,'MarkerFaceColor','k')
[~, col_Mprop_min] = min(min(mprop,[],'linear'));
[~, row_Mprop_min] = min(mprop(:,col_Mprop_min));
plot3(TX(row_Mprop_min,col_Mprop_min), VMAX(row_Mprop_min,col_Mprop_min), mprop(row_Mprop_min,col_Mprop_min),'go','MarkerSize',8,'MarkerFaceColor','g')
xlabel('Tx_m_a_x [N]')
ylabel('VMAX [m/s]')
zlabel('m_p_r_o_p [kg]')
grid on
title('m_p_r_o_p(V_m_a_x) varying Tx_m_a_x [N]  ||  d12=1000m  \Delta: Two m., Star: One m.')
view(38, 16)
shading interp      %gets rid of black lines in the surface plot.
colormap(jet(50))   %See help colormap
colorbar            %adds a colorbar that acts as a lagend for colors.

filename = 'Tx_max_Vmax12_d12=1000_M_Unico.mat';
load(filename)
surf(TX, VMAX, mprop,'FaceAlpha',0.85)
shading interp  
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'kp','MarkerSize',10,'MarkerFaceColor','k')
[~, col_Mprop_min] = min(min(mprop,[],'linear'));
[~, row_Mprop_min] = min(mprop(:,col_Mprop_min));
plot3(TX(row_Mprop_min,col_Mprop_min), VMAX(row_Mprop_min,col_Mprop_min), mprop(row_Mprop_min,col_Mprop_min),'mo','MarkerSize',8,'MarkerFaceColor','m')

subplot(1,3,2)
filename = 'Tx_max_Vmax12_d12=1000V2.mat';
load(filename)
surf(TX, VMAX, mprop)
hold on
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'k^','MarkerSize',10,'MarkerFaceColor','k')
[~, col_Mprop_min] = min(min(mprop,[],'linear'));
[~, row_Mprop_min] = min(mprop(:,col_Mprop_min));
plot3(TX(row_Mprop_min,col_Mprop_min), VMAX(row_Mprop_min,col_Mprop_min), mprop(row_Mprop_min,col_Mprop_min),'go','MarkerSize',8,'MarkerFaceColor','g')
xlabel('Tx_m_a_x [N]')
ylabel('VMAX [m/s]')
zlabel('m_p_r_o_p [kg]')
grid on
title('m_p_r_o_p(V_m_a_x) varying Tx_m_a_x [N]  ||  d12=1000m  \Delta: Two m., Star: One m.')
view(38, 16)
shading interp      %gets rid of black lines in the surface plot.
colormap(jet(50))   %See help colormap
colorbar            %adds a colorbar that acts as a lagend for colors.

subplot(1,3,3)
filename = 'Tx_max_Vmax12_d12=1000_M_Unico.mat';
load(filename)
surf(TX, VMAX, mprop)
hold on
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'kp','MarkerSize',10,'MarkerFaceColor','k')
[~, col_Mprop_min] = min(min(mprop,[],'linear'));
[~, row_Mprop_min] = min(mprop(:,col_Mprop_min));
plot3(TX(row_Mprop_min,col_Mprop_min), VMAX(row_Mprop_min,col_Mprop_min), mprop(row_Mprop_min,col_Mprop_min),'mo','MarkerSize',8,'MarkerFaceColor','m')
xlabel('Tx_m_a_x [N]')
ylabel('VMAX [m/s]')
zlabel('m_p_r_o_p [kg]')
grid on
title('m_p_r_o_p(V_m_a_x) varying Tx_m_a_x [N]  ||  d12=1000m  \Delta: Two m., Star: One m.')
view(38, 16)
shading interp      %gets rid of black lines in the surface plot.
colormap(jet(50))   %See help colormap
colorbar            %adds a colorbar that acts as a lagend for colors.