clear all
close all
clc

%%%
figure
filename = 'Tx_max_Vmax12_d12=1.mat';
load(filename)
surf(TX, VMAX, mprop,'FaceAlpha',0.6)
hold on 
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'k^','MarkerSize',10,'MarkerFaceColor','k')
[~, col_Mprop_min] = min(min(mprop,[],'linear'));
[~, row_Mprop_min] = min(mprop(:,col_Mprop_min));
plot3(TX(row_Mprop_min,col_Mprop_min), VMAX(row_Mprop_min,col_Mprop_min), mprop(row_Mprop_min,col_Mprop_min),'go','MarkerSize',8,'MarkerFaceColor','g')
xlabel('T_1_2 [N]')
ylabel('VMAX [m/s]')
zlabel('m_p_r_o_p [kg]')
grid on
title('m_p_r_o_p(V_m_a_x) varying T_1_2  ||  d12=1m  \Delta: w A.T., Star: w/o A.T.')
view(128, 25)
shading interp      %gets rid of black lines in the surface plot.
colormap(jet(50))   %See help colormap
colorbar            %adds a colorbar that acts as a lagend for colors.

filename = 'Tx_max_Vmax12_d12=1_m0=15_Motore_unico.mat';
load(filename)
surf(TX, VMAX, mprop,'FaceAlpha',0.85)
shading interp  
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'kp','MarkerSize',10,'MarkerFaceColor','k')
[~, col_Mprop_min] = min(min(mprop,[],'linear'));
[~, row_Mprop_min] = min(mprop(:,col_Mprop_min));
plot3(TX(row_Mprop_min,col_Mprop_min), VMAX(row_Mprop_min,col_Mprop_min), mprop(row_Mprop_min,col_Mprop_min),'mo','MarkerSize',8,'MarkerFaceColor','m')

figure
filename = 'Tx_max_Vmax12_d12=1.mat';
load(filename)
surf(TX, VMAX, mprop)
hold on
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'k^','MarkerSize',10,'MarkerFaceColor','k')
[~, col_Mprop_min] = min(min(mprop,[],'linear'));
[~, row_Mprop_min] = min(mprop(:,col_Mprop_min));
plot3(TX(row_Mprop_min,col_Mprop_min), VMAX(row_Mprop_min,col_Mprop_min), mprop(row_Mprop_min,col_Mprop_min),'go','MarkerSize',8,'MarkerFaceColor','g')
xlabel('T_1_2 [N]')
ylabel('VMAX [m/s]')
zlabel('m_p_r_o_p [kg]')
grid on
title('m_p_r_o_p(V_m_a_x) varying T_1_2  ||  d12=1m  \Delta: w A.T., Star: w/o A.T.')
view(128, 25)
shading interp      %gets rid of black lines in the surface plot.
colormap(jet(50))   %See help colormap
colorbar            %adds a colorbar that acts as a lagend for colors.

figure
filename = 'Tx_max_Vmax12_d12=1_m0=15_Motore_unico.mat';
load(filename)
surf(TX, VMAX, mprop)
hold on
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'kp','MarkerSize',10,'MarkerFaceColor','k')
[~, col_Mprop_min] = min(min(mprop,[],'linear'));
[~, row_Mprop_min] = min(mprop(:,col_Mprop_min));
plot3(TX(row_Mprop_min,col_Mprop_min), VMAX(row_Mprop_min,col_Mprop_min), mprop(row_Mprop_min,col_Mprop_min),'mo','MarkerSize',8,'MarkerFaceColor','m')
xlabel('T_1_2 [N]')
ylabel('VMAX [m/s]')
zlabel('m_p_r_o_p [kg]')
grid on
title('m_p_r_o_p(V_m_a_x) varying T_1_2  ||  d12=1m  \Delta: w A.T., Star: w/o A.T.')
view(128, 25)
shading interp      %gets rid of black lines in the surface plot.
colormap(jet(50))   %See help colormap
colorbar            %adds a colorbar that acts as a lagend for colors.


%%%
figure
filename = 'Tx_max_Vmax12_d12=50.mat';
load(filename)
surf(TX, VMAX, mprop,'FaceAlpha',0.6)
hold on 
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'k^','MarkerSize',10,'MarkerFaceColor','k')
[~, col_Mprop_min] = min(min(mprop,[],'linear'));
[~, row_Mprop_min] = min(mprop(:,col_Mprop_min));
plot3(TX(row_Mprop_min,col_Mprop_min), VMAX(row_Mprop_min,col_Mprop_min), mprop(row_Mprop_min,col_Mprop_min),'go','MarkerSize',8,'MarkerFaceColor','g')
xlabel('T_1_2 [N]')
ylabel('VMAX [m/s]')
zlabel('m_p_r_o_p [kg]')
grid on
title('m_p_r_o_p(V_m_a_x) varying T_1_2  ||  d12=50m  \Delta: w A.T., Star: w/o A.T.')
view(128, 25)
shading interp      %gets rid of black lines in the surface plot.
colormap(jet(50))   %See help colormap
colorbar            %adds a colorbar that acts as a lagend for colors.

filename = 'Tx_max_Vmax12_d12=50_m0=15_Motore_unico.mat';
load(filename)
surf(TX, VMAX, mprop,'FaceAlpha',0.85)
shading interp  
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'kp','MarkerSize',10,'MarkerFaceColor','k')
[~, col_Mprop_min] = min(min(mprop,[],'linear'));
[~, row_Mprop_min] = min(mprop(:,col_Mprop_min));
plot3(TX(row_Mprop_min,col_Mprop_min), VMAX(row_Mprop_min,col_Mprop_min), mprop(row_Mprop_min,col_Mprop_min),'mo','MarkerSize',8,'MarkerFaceColor','m')

figure
filename = 'Tx_max_Vmax12_d12=50.mat';
load(filename)
surf(TX, VMAX, mprop)
hold on
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'k^','MarkerSize',10,'MarkerFaceColor','k')
[~, col_Mprop_min] = min(min(mprop,[],'linear'));
[~, row_Mprop_min] = min(mprop(:,col_Mprop_min));
plot3(TX(row_Mprop_min,col_Mprop_min), VMAX(row_Mprop_min,col_Mprop_min), mprop(row_Mprop_min,col_Mprop_min),'go','MarkerSize',8,'MarkerFaceColor','g')
xlabel('T_1_2 [N]')
ylabel('VMAX [m/s]')
zlabel('m_p_r_o_p [kg]')
grid on
title('m_p_r_o_p(V_m_a_x) varying T_1_2  ||  d12=50m  \Delta: w A.T., Star: w/o A.T.')
view(128, 25)
shading interp      %gets rid of black lines in the surface plot.
colormap(jet(50))   %See help colormap
colorbar            %adds a colorbar that acts as a lagend for colors.

figure
filename = 'Tx_max_Vmax12_d12=50_m0=15_Motore_unico.mat';
load(filename)
surf(TX, VMAX, mprop)
hold on
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'kp','MarkerSize',10,'MarkerFaceColor','k')
[~, col_Mprop_min] = min(min(mprop,[],'linear'));
[~, row_Mprop_min] = min(mprop(:,col_Mprop_min));
plot3(TX(row_Mprop_min,col_Mprop_min), VMAX(row_Mprop_min,col_Mprop_min), mprop(row_Mprop_min,col_Mprop_min),'mo','MarkerSize',8,'MarkerFaceColor','m')
xlabel('T_1_2 [N]')
ylabel('VMAX [m/s]')
zlabel('m_p_r_o_p [kg]')
grid on
title('m_p_r_o_p(V_m_a_x) varying T_1_2  ||  d12=50m  \Delta: w A.T., Star: w/o A.T.')
view(128, 25)
shading interp      %gets rid of black lines in the surface plot.
colormap(jet(50))   %See help colormap
colorbar            %adds a colorbar that acts as a lagend for colors.


%%%
figure
filename = 'Tx_max_Vmax12_d12=150.mat';
load(filename)
surf(TX, VMAX, mprop,'FaceAlpha',0.6)
hold on 
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'k^','MarkerSize',10,'MarkerFaceColor','k')
[~, col_Mprop_min] = min(min(mprop,[],'linear'));
[~, row_Mprop_min] = min(mprop(:,col_Mprop_min));
plot3(TX(row_Mprop_min,col_Mprop_min), VMAX(row_Mprop_min,col_Mprop_min), mprop(row_Mprop_min,col_Mprop_min),'go','MarkerSize',8,'MarkerFaceColor','g')
xlabel('T_1_2 [N]')
ylabel('VMAX [m/s]')
zlabel('m_p_r_o_p [kg]')
grid on
title('m_p_r_o_p(V_m_a_x) varying T_1_2  ||  d12=150m  \Delta: w A.T., Star: w/o A.T.')
view(128, 25)
shading interp      %gets rid of black lines in the surface plot.
colormap(jet(50))   %See help colormap
colorbar            %adds a colorbar that acts as a lagend for colors.

filename = 'Tx_max_Vmax12_d12=150_m0=15_Motore_unico.mat';
load(filename)
surf(TX, VMAX, mprop,'FaceAlpha',0.85)
shading interp  
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'kp','MarkerSize',10,'MarkerFaceColor','k')
[~, col_Mprop_min] = min(min(mprop,[],'linear'));
[~, row_Mprop_min] = min(mprop(:,col_Mprop_min));
plot3(TX(row_Mprop_min,col_Mprop_min), VMAX(row_Mprop_min,col_Mprop_min), mprop(row_Mprop_min,col_Mprop_min),'mo','MarkerSize',8,'MarkerFaceColor','m')

figure
filename = 'Tx_max_Vmax12_d12=150.mat';
load(filename)
surf(TX, VMAX, mprop)
hold on
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'k^','MarkerSize',10,'MarkerFaceColor','k')
[~, col_Mprop_min] = min(min(mprop,[],'linear'));
[~, row_Mprop_min] = min(mprop(:,col_Mprop_min));
plot3(TX(row_Mprop_min,col_Mprop_min), VMAX(row_Mprop_min,col_Mprop_min), mprop(row_Mprop_min,col_Mprop_min),'go','MarkerSize',8,'MarkerFaceColor','g')
xlabel('T_1_2 [N]')
ylabel('VMAX [m/s]')
zlabel('m_p_r_o_p [kg]')
grid on
title('m_p_r_o_p(V_m_a_x) varying T_1_2  ||  d12=150m  \Delta: w A.T., Star: w/o A.T.')
view(128, 25)
shading interp      %gets rid of black lines in the surface plot.
colormap(jet(50))   %See help colormap
colorbar            %adds a colorbar that acts as a lagend for colors.

figure
filename = 'Tx_max_Vmax12_d12=150_m0=15_Motore_unico.mat';
load(filename)
surf(TX, VMAX, mprop)
hold on
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'kp','MarkerSize',10,'MarkerFaceColor','k')
[~, col_Mprop_min] = min(min(mprop,[],'linear'));
[~, row_Mprop_min] = min(mprop(:,col_Mprop_min));
plot3(TX(row_Mprop_min,col_Mprop_min), VMAX(row_Mprop_min,col_Mprop_min), mprop(row_Mprop_min,col_Mprop_min),'mo','MarkerSize',8,'MarkerFaceColor','m')
xlabel('T_1_2 [N]')
ylabel('VMAX [m/s]')
zlabel('m_p_r_o_p [kg]')
grid on
title('m_p_r_o_p(V_m_a_x) varying T_1_2  ||  d12=150m  \Delta: w A.T., Star: w/o A.T.')
view(128, 25)
shading interp      %gets rid of black lines in the surface plot.
colormap(jet(50))   %See help colormap
colorbar            %adds a colorbar that acts as a lagend for colors.


%%%
figure
filename = 'Tx_max_Vmax12_d12=300.mat';
load(filename)
surf(TX, VMAX, mprop,'FaceAlpha',0.6)
hold on 
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'k^','MarkerSize',10,'MarkerFaceColor','k')
[~, col_Mprop_min] = min(min(mprop,[],'linear'));
[~, row_Mprop_min] = min(mprop(:,col_Mprop_min));
plot3(TX(row_Mprop_min,col_Mprop_min), VMAX(row_Mprop_min,col_Mprop_min), mprop(row_Mprop_min,col_Mprop_min),'go','MarkerSize',8,'MarkerFaceColor','g')
xlabel('T_1_2 [N]')
ylabel('VMAX [m/s]')
zlabel('m_p_r_o_p [kg]')
grid on
title('m_p_r_o_p(V_m_a_x) varying T_1_2  ||  d12=300m  \Delta: w A.T., Star: w/o A.T.')
view(128, 25)
shading interp      %gets rid of black lines in the surface plot.
colormap(jet(50))   %See help colormap
colorbar            %adds a colorbar that acts as a lagend for colors.

filename = 'Tx_max_Vmax12_d12=300_m0=15_Motore_unico.mat';
load(filename)
surf(TX, VMAX, mprop,'FaceAlpha',0.85)
shading interp  
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'kp','MarkerSize',10,'MarkerFaceColor','k')
[~, col_Mprop_min] = min(min(mprop,[],'linear'));
[~, row_Mprop_min] = min(mprop(:,col_Mprop_min));
plot3(TX(row_Mprop_min,col_Mprop_min), VMAX(row_Mprop_min,col_Mprop_min), mprop(row_Mprop_min,col_Mprop_min),'mo','MarkerSize',8,'MarkerFaceColor','m')

figure
filename = 'Tx_max_Vmax12_d12=300.mat';
load(filename)
surf(TX, VMAX, mprop)
hold on
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'k^','MarkerSize',10,'MarkerFaceColor','k')
[~, col_Mprop_min] = min(min(mprop,[],'linear'));
[~, row_Mprop_min] = min(mprop(:,col_Mprop_min));
plot3(TX(row_Mprop_min,col_Mprop_min), VMAX(row_Mprop_min,col_Mprop_min), mprop(row_Mprop_min,col_Mprop_min),'go','MarkerSize',8,'MarkerFaceColor','g')
xlabel('T_1_2 [N]')
ylabel('VMAX [m/s]')
zlabel('m_p_r_o_p [kg]')
grid on
title('m_p_r_o_p(V_m_a_x) varying T_1_2  ||  d12=300m  \Delta: w A.T., Star: w/o A.T.')
view(128, 25)
shading interp      %gets rid of black lines in the surface plot.
colormap(jet(50))   %See help colormap
colorbar            %adds a colorbar that acts as a lagend for colors.

figure
filename = 'Tx_max_Vmax12_d12=300_m0=15_Motore_unico.mat';
load(filename)
surf(TX, VMAX, mprop)
hold on
plot3(TX(floor(length(TX)/2)),VMAX(floor(length(VMAX)/2)),mprop(floor(length(mprop)/2)),'kp','MarkerSize',10,'MarkerFaceColor','k')
[~, col_Mprop_min] = min(min(mprop,[],'linear'));
[~, row_Mprop_min] = min(mprop(:,col_Mprop_min));
plot3(TX(row_Mprop_min,col_Mprop_min), VMAX(row_Mprop_min,col_Mprop_min), mprop(row_Mprop_min,col_Mprop_min),'mo','MarkerSize',8,'MarkerFaceColor','m')
xlabel('T_1_2 [N]')
ylabel('VMAX [m/s]')
zlabel('m_p_r_o_p [kg]')
grid on
title('m_p_r_o_p(V_m_a_x) varying T_1_2  ||  d12=300m  \Delta: w A.T., Star: w/o A.T.')
view(128, 25)
shading interp      %gets rid of black lines in the surface plot.
colormap(jet(50))   %See help colormap
colorbar            %adds a colorbar that acts as a lagend for colors.

