% ELABORAZIONE DATI Vmax_Tmax

clear all
close all
clc

filename = 'Tx_max_Vmax12_d12=200.mat';

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% Tx_max_Vmax_12_V1.mat %%%%%%%%%%%%%%%%%%%%%

% Tx_max_vett = linspace(1,100,50);     % [N] 
% Vmax12_vett = linspace(0.5,18,36);    % [m/s] 
% % Tmax_vett = 250;     % [N] 
% % Vmax1_vett = 0.5;    % [m/s]
% 
% [TX,VMAX] = meshgrid(Tx_max_vett,Vmax12_vett);
% 
% 
% m0 = 15;         % [kg] 15
% d12 = 5;       % [m] 50
% c = 150*9.81;    % [m/s] 150*9.81
% th2 = 0.5*1e-3;    % [s] tempo di hovering in 1. Occhio, non puoi mettere 0s !
% g = 1.62;        % [m/s^2]
% 
% % Per ulteriori dettagli su queste tolleranze leggere il blocco
% % "Selettore_Motore"
% tol = 5*10^-4;  % ||V+cln{(mc/Tx)-[(mc/Tx)-(d12-x)](1/c)}-cln(mc/Tx)| <=> tol  
%                 % (per capire quando invertire la Tx)
% tol2 = 10^-1;   % |d12-x|/d12 <=> tol2 (per capire se sono nei pressi di 2, 
%                 % tol2 pu essere relativamente grande perch  
%                 % l'inversione del moto che viene usato come trigger per
%                 % passare alla modalit di hovering.
% tol3 = 10^-3;   % |V-Vmax12|/Vmax12 <=> tol3 (per non superare Vmax1)
% 
% 
% DT = 1e-4;      % passo di integrazione
% t_fin = 40;     % [s] tempo simulazione

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


load(filename)
% mprop1 = mprop(1,:);
% parz1 = parz(1,:);
% T0S1 = T0S(1,:);
% t1_1 = t1(1,:);
% tLim_1 = tLim(1,:);
% tS_1 = tS(1,:);
% Vel_max_1 = Vel_max(1,:);
% VMAX_1 = VMAX(1,:);
% Z_end_1 = Z_end(1,:);
% Z_max_1 = Z_max(1,:);


%%% Verifiche varie %%%
figure
surf(TX, VMAX, X_end)
xlabel('Tx_m_a_x [N]')
ylabel('VMAX [m/s]')
zlabel('X_e_n_d [m]')
grid on
title('checking everything is ok 1')
view(38, 16)
shading interp      %gets rid of black lines in the surface plot.
colormap(jet(50))   %See help colormap
colorbar            %adds a colorbar that acts as a lagend for colors.

figure
surf(TX, VMAX, X_max)
xlabel('Tx_m_a_x [N]')
ylabel('VMAX [m/s]')
zlabel('X_m_a_x [m]')
grid on
title('checking everything is ok 2')
view(38, 16)
shading interp      %gets rid of black lines in the surface plot.
colormap(jet(50))   %See help colormap
colorbar            %adds a colorbar that acts as a lagend for colors.

figure
surf(TX, VMAX, (VMAX - Vel_max)) %  normale che ci siano differenze 
% quando le spinte sono basse e le VMAX alte, in quei casi Vel_max  minore
% di VMAX semplicemente perch lo spacecraft non ha modo di arrivare a
% quella velocit che deve gi spegnere invertire Tx e iniziare a rallentare.
xlabel('Tx_m_a_x [N]')
ylabel('VMAX [m/s]')
zlabel('Vmax12 - Vmax_e_f_f [m/s]')
grid on
title('checking everything is ok 3')
view(38, 16)
shading interp      %gets rid of black lines in the surface plot.
colormap(jet(50))   %See help colormap
colorbar            %adds a colorbar that acts as a lagend for colors.



%%% Grafici per valutazioni %%%
figure
surfc(TX, VMAX, mprop) 
xlabel('Tx_m_a_x [N]')
ylabel('VMAX [m/s]')
zlabel('m_p_r_o_p [kg]')
grid on
title('m_p_r_o_p(V_m_a_x) varying Tx_m_a_x [N]')
view(38, 16)
shading interp      %gets rid of black lines in the surface plot.
colormap(jet(50))   %See help colormap
colorbar            %adds a colorbar that acts as a lagend for colors.


figure
contour(VMAX, mprop, TX,[TX(1,1):5:TX(end)],'ShowText','on','LabelSpacing',00)
xlabel('V_m_a_x [m/s]')
ylabel('m_p_r_o_p [kg]')
grid on
title('m_p_r_o_p(V_m_a_x) varying Tx_m_a_x [N]')
colorbar

figure
surfc(TX, VMAX, parz)
xlabel('Tx_m_a_x [N]')
ylabel('VMAX [m/s]')
zlabel('% full throttle')
grid on
title('% full throttle varying VMAX [m/s] & Tx_m_a_x [N]')
view(38, 16)
shading interp      %gets rid of black lines in the surface plot.
colormap(jet(50))   %See help colormap
colorbar            %adds a colorbar that acts as a lagend for colors.

figure
surfc(TX, VMAX, t2)
xlabel('Tx_m_a_x [N]')
ylabel('VMAX [m/s]')
zlabel('t2 [s]')
grid on
title('t2 [s] varying VMAX [m/s] & Tx_m_a_x [N]')
view(38, 16)
shading interp      %gets rid of black lines in the surface plot.
colormap(jet(50))   %See help colormap
colorbar            %adds a colorbar that acts as a lagend for colors.

% mprop_t1 = m0.*(1-exp(-g.*t1./c));
% 
% figure
% surfc(T0S, VMAX, mprop_t1)
% xlabel('T_0_S [N]')
% ylabel('VMAX [m/s]')
% zlabel('m_p_r_o_p_ _t_1 [kg]')
% grid on
% title('m_p_r_o_p_ _t_1 [kg] varying VMAX [m/s] & T_0_S [N]')
% view(38, 16)
% shading interp      %gets rid of black lines in the surface plot.
% colormap(jet(50))   %See help colormap
% colorbar            %adds a colorbar that acts as a lagend for colors.

figure
surfc(TX, VMAX, tI)
xlabel('Tx_m_a_x [N]')
ylabel('VMAX [m/s]')
zlabel('t_I [s]')
grid on
title('t_I [s] varying VMAX [m/s] & Tx_m_a_x [N]')
view(38, 16)
shading interp      %gets rid of black lines in the surface plot.
colormap(jet(50))   %See help colormap
colorbar            %adds a colorbar that acts as a lagend for colors.


figure
col_Tx = 10; % Colonna Tx di interesse
plot(VMAX(:,col_Tx),mprop(:,col_Tx),'b')
xlabel('Vx_m_a_x [N]')
ylabel('m_p_r_o_p [kg]')
[mp_min indexVx_at_mp_min] = min(mprop(:,col_Tx));  
title(['m_p_r_o_p(Vx_m_a_x) at Tx: ', num2str(TX(1,col_Tx)),' [N]  || Vx_m_a_x @ mp_m_i_n: ',num2str(VMAX(indexVx_at_mp_min,col_Tx)),' m/s'])





