%%%% INPUT %%%%
clear all
close all
clc

filename = 'h1_T0s=50_m0=15V2.mat';

%%%%%%%%%%%%%%%%%%%%%%%%%%%%% PARAMETERS 01H1 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Tmax_vett = [25:2:43 45:5:150]; %linspace(60,250,10)];     % [N] 
h1_vett = [1:350];    % [m/s] 
% Tmax_vett = 250;     % [N] 
% Vmax1_vett = 100;    % [m/s]

Tmax = 50;     %[N] T0S
m0 = 15;       % [kg] 15
Vmax1 = 10000;      % [m/s] NO EFFETTO VMAX1
c = 150*9.81;  % [m/s] 150*9.81
th1 = 0.5*1e-3;    % [s] tempo di hovering in 1. Occhio, non puoi mettere 0s !
g = 1.62;      % [m/s^2]

% Per ulteriori dettagli su queste tolleranze leggere il blocco
% "Selettore_Motore"
% tol = 10^-3;    % |h1-z-V^2/(2g)|/|h1-z| <=> tol (per capire quando 
%                 % spegnere i motori)
tol2 = 10^-1;   % |h1-z|/h1 <=> tol2 (per capire se sono nei pressi di 1, 
                % tol2 pu essere relativamente grande perch  
                % l'inversione del moto che viene usato come trigger per
                % passare alla modalit di hovering
% tol3 = 5*10^-3;   % |V-Vmax1|/Vmax1 <=> tol3 (per non superare Vmax1)

DT = 1e-4;   % passo di integrazione
t_fin = 10000; % [s] tempo simulazione


%%% Inizializzazione variabili 
mprop = zeros(1,length(h1_vett));
Vel_max = zeros(1,length(h1_vett));
Vel_fin = zeros(1,length(h1_vett));
Z_max = zeros(1,length(h1_vett));
Z_end = zeros(1,length(h1_vett));
tLim = zeros(1,length(h1_vett));
tS = zeros(1,length(h1_vett));
t1 = zeros(1,length(h1_vett));
parz = zeros(1,length(h1_vett));
indexVel_max = 0;
T0min = 0;
indexT0min = 0;


%%%%%%%%%%%%%%%%%%%%%%%%%% CHIAMATA DEL MODELLO %%%%%%%%%%%%%%%%%%%%%%%%%%%
for i = 1:length(h1_vett)
    i
        h1 = h1_vett(i);
        
        %%% Running the Simulink model
        %open('Tratto01h1V8.slx');             %optional
        datiSim = sim('Tratto01h1V10.slx');
        
        %%% Extracting data 
        xSignal = datiSim.logsout.getElement('segnali');
        t       = xSignal.Values.Time;
        m       = xSignal.Values.Data(:,5);
        z       = xSignal.Values.Data(:,1);
        V       = xSignal.Values.Data(:,2);
        T       = xSignal.Values.Data(:,4);
        
        
        mprop(i) = m0 - m(end);
        
        Vel_fin(i) = V(end);
        [Vel_max(i), indexVel_max] = max(V);
        % la funzione max restituisce anche l'indice corrispondente al
        % valore massimo, se ci sono pi valori minimi restituisce l'indice
        % del primo (quindi il minor indice). Tradotto in termini pratici,
        % nel caso si vada a raggiungere la Vmax1 e la spinta si va a
        % limitare per un certo lasso di tempo, t(indexVel_max)
        % identificherebbe quell'istante in cui la spinta passa da Tmax a
        % mg.
        
        Z_max(i) = max(z);
        Z_end(i) = z(end);
        
        tLim(i) = t(indexVel_max); % istante di tempo in cui si raggiunge la
        % Vmax1 e quindi T -> mg, oppure, se non si fa in tempo a
        % raggiungere Vmax1 esso identifica quando T passa da Tmax a 0
        % (ovvero identifica l'inizio della fase di decelerazione).
        
        [T0min, indexT0min] = min(T);
        tS(i) = t(indexT0min); %istante di tempo in cui T passa da Tmax a 0 e
        % quindi identifica l'istante in cui si  conclusa la fase di acc.
        
        parz(i) = (tLim(i)/tS(i))*100; %ci dice, in termini percentuali, per 
        % quanto tempo si  spinto al massimo durante la fase di acc.
        
        t1(i) = t(end);
        
        
   
end

save(filename,'Tmax','h1_vett','mprop','Vel_fin','Vel_max','Z_max','Z_end','tLim','tS','parz','t1');







