clear all
close all
clc

filename1 = 'h1_T0s=50_m0=15V2.mat';
filename2 = 'h3_T0s=50_m0=15V2.mat';
filename3 = 'Tx_d12=200_m0=15.mat';

load(filename1);
mprop_S = mprop;
Vel_max_S = Vel_max;

figure 
plot(h1_vett, mprop_S,'k', h1_vett, Vel_max_S./100, 'r')
grid on
xlabel('h_1 [m]')
ylabel('m_p_r_o_p [kg] & V_m_a_x [hm/s]')
title('Salita m = 15kg, Isp = 150s')
legend('mprop','V_m_a_x');

load(filename2);
mprop_D = mprop;
Vel_max_D = Vel_max;

figure  
plot(h3_vett, mprop_D,'k', h3_vett, Vel_max_D./100, 'r')
grid on
xlabel('h_1 [m]')
ylabel('m_p_r_o_p [kg] & V_m_a_x [hm/s]')
title('Discesa m = 15kg, Isp = 150s')
legend('mprop','V_m_a_x');

% figure  
% plot(h3_vett([101:1:length(h3_vett)])-100, mprop_D([101:1:length(mprop_D)]) - mprop_D(100),'k', h3_vett, Vel_max_D./100, 'r')
% grid on
% xlabel('h_1 [m]')
% ylabel('m_p_r_o_p [kg] & V_m_a_x [hm/s]')
% title('V. Descent (+100m) m = 15kg, Isp = 150s')
% legend('mprop','V_m_a_x');
% 
% 
% figure  
% plot(h1_vett, mprop_S,'g','LineWidth',3)
% hold on
% plot(h1_vett, Vel_max_S./100,'c','LineWidth',3)
% plot(h3_vett, mprop_D,'.r',h3_vett,Vel_max_S./100,'.m')
% grid on
% xlabel('h_1 [m]')
% ylabel('m_p_r_o_p [kg] & V_m_a_x [hm/s]')
% title('Vertical Ascnet/Descent m = 15kg, Isp = 150s')
% legend('m_p_A_s_c_e_n_t','V_m_a_x_A_s_c_e_n_t','m_p_D_e_s_c_e_n_t','V_m_a_x_D_e_s_c_e_n_t')


mprop_SD = mprop_S([1:1:250])+ (mprop_S([101:1:350])-mprop_S(100))+ mprop_D([1:1:250])+(mprop_D([101:1:350])-mprop_D(100));

figure  
plot(h1_vett([1:1:250]), mprop_SD,'k')
hold on
plot(h1_vett([1:1:250]), Vel_max_S([1:1:250])./100, 'r','LineWidth',4)
plot(h1_vett([1:1:250]), Vel_max_D([1:1:250])./100, '.c')
plot(h1_vett([1:1:250]), Vel_max_S([101:1:350])./100,'color','#77AC30','LineWidth',4)
plot(h1_vett([1:1:250]), Vel_max_D([101:1:350])./100,'.y')
grid on
xlabel('h [m]')
ylabel('m_p_r_o_p [kg] & V_m_a_x [hm/s]')
title('Ver. Ascent_1 + Ascent_2 + Descent_1 + Descent_2, m = 15kg, Isp = 150s')
legend('m_p_A_1+m_p_A_2+m_p_D_1+m_p_D_2','V_m_a_x_A_1','V_m_a_x_D_2','V_m_a_x_A_2','V_m_a_x_D_1');





load(filename3);
mprop_H = mprop;

figure
plot(T12_vett, mprop_H,'k', T12_vett, Vel_max./100, 'r')
grid on
xlabel('T_1_2 [N]')
ylabel('m_p_H [kg]  &  V_m_a_x_ _o_p_t [hm/s]')
title('Hor. translation d12 = 200m, m = 15kg, Isp = 150s')
legend('mprop','V_m_a_x');


%%%% Acc.
% D = 200;
% alfa = [0:1:80]./180.*pi;
% beta = 120/180*pi;
% gamma = 120/180*pi;
%  
% theta = pi - (alfa + gamma) + beta/2;
% 
% H = (D./tan(theta)).*cos(gamma-alfa-beta/2);
% 
% plot(90-(alfa.*180./pi), H,'k')
% grid on
% xlabel('\theta [deg]')
% ylabel('h_1 [m]')
% title('h1 varying \theta [deg] @ d_1_2 = 200 m')
% %legend('mprop','V_m_a_x');
% 
% %%%secondo la nomenclatura di Gael
% plot((alfa.*180./pi), H,'k')
% grid on
% xlabel('\theta [deg]')
% ylabel('h_1 [m]')
% title('h1 varying \theta [deg] @ d_1_2 = 200 m')

D = 250;
m = 15;
g = 1.62; 
alfa = pi/2 - acos(T12_vett./((m*g)^2+T12_vett.^2).^0.5);
beta = 120/180*pi;
gamma = 120/180*pi;
 
theta = pi - (alfa + gamma) + beta/2;

H = (D./tan(theta)).*cos(gamma-alfa-beta/2);

figure
plot(T12_vett, H,'k')
grid on
xlabel('T_1_2 [N]')
ylabel('h_1 [m]')
title('h1 varying T_1_2 [N] @ d_1_2 = 200 m')
%legend('mprop','V_m_a_x');

%%% theta:pitch angle
figure
plot((90-alfa.*180./pi), H,'k')
grid on
xlabel('\theta [deg]')
ylabel('altitude [m]')
title('h1 varying \theta [deg] @ d_1_2 = 200 m')

figure
plot((90-alfa.*180./pi), [zeros(1,27) H([28:1:250])],'k')
grid on
xlabel('\theta [deg]')
ylabel('altitude [m]')
title('h1 varying \theta [deg] @ d_1_2 = 200 m')


% %%%secondo la nomenclatura di Gael
% figure(5)
% plot((alfa.*180./pi), H,'k')
% grid on
% xlabel('\theta [deg]')
% ylabel('h_1 [m]')
% title('h1 varying \theta [deg] @ d_1_2 = 200 m')

%%Fren.

h_vett = [1:1:300];
[HV, alfaV] = meshgrid(h_vett, alfa);
theta2 = pi + (alfaV + gamma) + beta/2;

dist = (h_vett.*tan(theta2)).*cos(gamma-alfaV-beta/2);

figure 
surf(alfaV.*180./pi,HV,dist)
xlabel('\theta [deg]')
ylabel('h_1 [m]')
zlabel('Dist [m]')
grid on
title('Fase frenata')
view(38, 16)
shading interp      %gets rid of black lines in the surface plot.
colormap(jet(50))   %See help colormap
colorbar            %adds a colorbar that acts as a lagend for colors.



%

j=0;
for i=1:length(H)
    if H(i)>=0
        j=j+1;
        H_no_neg(j)=H(i);
    end
end
        
H_neg = length(H)-length(H_no_neg);


for i=1:length(H_no_neg)
     
    for j=1:250
      
            temp(j) = abs(h1_vett(j)-H_no_neg(i));

    end
    
    [minimo, index] = min(temp);
    vett_indici(i) = index;
    
end

mprop_SD_T12 = [zeros(1,H_neg) mprop_SD(vett_indici)];

% mprop_TOT = mprop_SD_T12 + mprop_H;

mprop_TOT = mprop_SD_T12 + 2*mprop_H;


figure
plot(T12_vett, mprop_TOT,'k')
grid on
xlabel('T_1_2 [N]')
ylabel('m_p_ _t_o_t [kg]')
title('m_p_A_1 + m_p_A_2 + m_p_D_1 + m_p_D_2 + 2m_p_H varying T_1_2')


    







