clear all
close all
clc

filename1 = 'Tmax_h1_m0=15' ;
filename2 = 'T23_h3_m0=15_V2.mat' ;

load(filename1)
mprop_S = mprop;

load(filename2)
mprop_D = mprop;

mprop_SD = mprop_S + mprop_D;

figure
surfc(T_23, H3, mprop_S - mprop_D)
xlabel('T_0_S & T_2_3 [N]')
ylabel('h_1 & h_3 [m]')
zlabel('m_p_r_o_p_S - m_p_r_o_p_D [kg]')
grid on
title('m_p_r_o_p_S - m_p_r_o_p_D varying h_1/h_3 & T_0_S/T_2_3 [N]')
view(38, 16)
shading interp      %gets rid of black lines in the surface plot.
colormap(jet(50))   %See help colormap
colorbar            %adds a colorbar that acts as a lagend for colors.

figure
surf(T_23, H3, mprop_SD)
xlabel('T_0_S & T_2_3 [N]')
ylabel('h_1 & h_3 [m]')
zlabel('m_p_A + m_p_D [kg]')
grid on
title('m_p(h_1,h_3) varying T_0_S & T_2_3 [N]')
view(38, 16)
shading interp      %gets rid of black lines in the surface plot.
colormap(jet(50))   %See help colormap
colorbar            %adds a colorbar that acts as a lagend for colors.

figure
%contour(H3, mprop, T_23,[T_23(1,1):1:T_23(end)],'ShowText','on','LabelSpacing',500)
contour(H3, mprop_SD,T_23,[24 25 27 30 40 50 75 100],'ShowText','on','LabelSpacing',1800)
xlabel('h_1 & h_3 [m]')
ylabel('m_p_A + m_p_D [kg]')
grid on
title('m_p(h_1,h_3) varying T_0_S & T_2_3 [N]')
colorbar


figure
plot(H1(:,1), mprop_SD(:,12) - mprop_SD(:,22))
hold on
plot(H1(:,1),Vel_max(:,12)./100,'--r',H1(:,1),Vel_max(:,22)./100,'--b')
xlabel('h_1 & h_3 [m]')
ylabel('m_p_r_o_p 50N - m_p_r_o_p 100N [kg] || V_m_a_x [hm/s] @ 50N (red) & V_m_a_x [hm/s] @ 100N (blue)')
grid minor
axis tight


load('T23_h3=30.mat');
mprop_D_30 = mprop;

load('T23_h3=130.mat');
mprop_D_130 = mprop;

load('Tmax_m0=15_h1=30_th1=0.mat');
mprop_A_30 = mprop;

load('Tmax_m0=15_h1=130_th1=0.mat');
mprop_A_130 = mprop;

m_TOT = (mprop_D_30 + mprop_D_130 + mprop_A_30 + mprop_A_130) + 1.5*(mprop_D_30 + mprop_D_130 + mprop_A_30 + mprop_A_130);
m_ENG = 2.62*T0S/1000;

figure
plot(T0S, m_TOT,'--r')
hold on
plot(T0S, m_ENG,'--b')
plot(T0S, m_TOT+m_ENG,'b')
[minimo, indice] = min(m_TOT+m_ENG);
plot(T0S(indice),minimo,'om','MarkerSize',10)
xlabel('T_A & T_D [N]')
ylabel('m [kg]')
grid on
legend('m_p + m_f','m_e_n_g','m_p+m_f+m_e_n_g','min (m_p+m_f+m_e_n_g)')

figure
plot([1 5 50 75 100],[1.125 4.53 133.2 193.65 255.45],'b')
xlabel('Thrust [N]')
ylabel('m_E_N_G [g]')
grid on


