clear all
close all 
clc

m0 = [9 10 13 15 17 20];        % [kg] 15
c = 150*9.81;   % [m/s] 150*9.81
th = linspace(0,60,61);      % [s] tempo di hovering.
g = 1.62;       % [m/s^2]

[M0,TH] = meshgrid(m0,th);

mprop = M0.*(1 - exp( (-g.*TH)./c) );

figure
surfc(TH, M0, mprop) 
xlabel('t_h [s]')
ylabel('m_0 [kg]')
zlabel('m_p_r_o_p [kg]')
grid on
title('m_p_r_o_p(t_h) varying m_0 [kg]')
view(38, 16)
shading interp      %gets rid of black lines in the surface plot.
colormap(jet(50))   %See help colormap
colorbar            %adds a colorbar that acts as a lagend for colors.

figure
contour(TH, mprop, M0,[M0(1,1) M0(1,2) M0(1,3) M0(1,4) M0(1,5) M0(1,6)],'ShowText','on','LabelSpacing',900)
xlabel('\Deltat_h [s]')
ylabel('m_p_r_o_p [kg]')
grid on
title('m_p_r_o_p(\Deltat_h) varying m_0 [kg]')
colorbar